import { FC } from 'react';
import { useForm } from 'rc-field-form';
import { ValidateErrorEntity } from 'rc-field-form/es/interface';
import { ErrorValueProps, IFormItemProps, IDynamicFormProps } from '../../PropsType';
export declare type DFormData = IFormItemProps[];
export declare const getFormItem: (formItem: IFormItemProps, allDisabled: boolean, errorValue?: ErrorValueProps) => JSX.Element;
export declare const defaultFailed: (errorInfo: ValidateErrorEntity, onFinishFailed?: ((errorInfo: ValidateErrorEntity) => void) | undefined, failScroll?: boolean) => void;
declare const DynamicForm: FC<IDynamicFormProps>;
export { useForm };
export default DynamicForm;
