function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * title: 基础 coverRadio
 * desc: 表单使用 demo
 */
import React from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm, CoverRadio } from "../../..";
var sexList = [{
  sexName: '男',
  sexId: 'man'
}, {
  sexName: '女',
  sexId: 'woman'
}];
var foodList = [{
  label: '宫保鸡丁',
  value: '宫保鸡丁'
}, {
  label: '可乐鸡翅',
  value: '可乐鸡翅'
}, {
  label: '爆炒虾仁',
  value: '爆炒虾仁'
}, {
  label: '清蒸小黄鱼',
  value: '清蒸小黄鱼'
}, {
  label: '红烧肉',
  value: '红烧肉'
}];

var Page = function Page() {
  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsValues = {
    sex: 'man'
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    form: form,
    isDev: false
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps, /*#__PURE__*/React.createElement(CoverRadio, {
    fieldProps: "sex",
    data: sexList,
    title: "\u6027\u522B",
    required: true,
    onChange: function onChange(val) {
      // eslint-disable-next-line no-console
      console.log(val);
    },
    alias: {
      label: 'sexName',
      value: 'sexId'
    }
  }), /*#__PURE__*/React.createElement(CoverRadio, {
    fieldProps: "sex2",
    data: sexList,
    title: "\u9009\u62E9\u60A8\u7684\u6027\u522B(\u9ED8\u8BA4\u503C)",
    positionType: "vertical",
    alias: {
      label: 'sexName',
      value: 'sexId'
    },
    disabled: true,
    defaultValue: "woman"
  }), /*#__PURE__*/React.createElement(CoverRadio, {
    fieldProps: "food",
    data: foodList,
    title: "\u559C\u6B22\u7684\u98DF\u7269",
    required: true,
    positionType: "vertical",
    radioType: "vertical"
  })), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

export default Page;