function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/* eslint-disable no-console */

/**
 * title: 基础 文件上传
 * desc: 表单使用 demo
 */
import React from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm, getRandom } from "../../..";
import NomarFile from "../";
var contractList = [{
  title: '合约模板2020.pdf',
  fileId: '1'
}, {
  title: '电子协议模板2020.pdf',
  fileId: '2'
}];

var Page = function Page() {
  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formProps = {
    form: form,
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: {
      contract: contractList
    },
    isDev: false
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps, /*#__PURE__*/React.createElement(NomarFile, {
    required: true,
    fieldProps: "contract",
    title: "\u5408\u540C",
    onClick: function onClick(res) {
      console.log(res);
    },
    valueStyle: {
      color: '#f40'
    },
    itemExtra: function itemExtra(item, index) {
      console.log(item, index);
      return /*#__PURE__*/React.createElement("div", null, "\u9884\u89C8");
    },
    maxLength: 3,
    onChange: function onChange(res, delItem) {
      console.log(res, delItem);
    },
    alias: {
      id: 'fileId',
      title: 'title'
    },
    upload: function upload(res) {
      var list = form.getFieldsValue().contract || [];

      if (res && res.length) {
        res.map(function (item) {
          list.push({
            title: item.name,
            fileId: getRandom()
          });
        });
      }

      form.setFieldsValue({
        contract: list
      });
    }
  })), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "lg"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      form.submit();
    }
  }, "Submit"));
};

export default Page;