import React, { useEffect } from 'react';
// @ts-ignore
import ClosePng from "../../assets/close.png";
import "./index.less";
var prefixCls = 'alitajs-dform-file';

var FileGroup = function FileGroup(props) {
  var _props$value = props.value,
      value = _props$value === void 0 ? [] : _props$value,
      onChange = props.onChange,
      onClick = props.onClick,
      _props$alias = props.alias,
      alias = _props$alias === void 0 ? {
    id: 'id',
    title: 'title'
  } : _props$alias,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      valueChange = props.valueChange,
      valueStyle = props.valueStyle,
      itemExtra = props.itemExtra;
  useEffect(function () {
    valueChange(value);
  }, [JSON.stringify(value || [])]);

  var del = function del(index) {
    var newData = Array.from(value);
    newData.splice(index, 1);
    if (onChange) onChange(newData, value[index], 'delete');
  };

  var itemClick = function itemClick(item) {
    if (onClick) onClick(item);
  };

  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-content")
  }, value.map(function (item, index) {
    return /*#__PURE__*/React.createElement("div", {
      key: item[alias.id || 'id'],
      className: "".concat(prefixCls, "-item")
    }, /*#__PURE__*/React.createElement("span", {
      className: "".concat(prefixCls, "-title"),
      style: valueStyle,
      onClick: function onClick() {
        itemClick(item);
      }
    }, item[alias.title || 'title']), !disabled && /*#__PURE__*/React.createElement("img", {
      onClick: function onClick() {
        del(index);
      },
      src: ClosePng,
      alt: "",
      className: "alitajs-dform-close"
    }), typeof itemExtra === "function" && /*#__PURE__*/React.createElement("div", {
      className: "".concat(prefixCls, "-item-extra")
    }, itemExtra(item, index)));
  }));
};

export default FileGroup;