function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * title: 基础 输入框
 * desc: 表单使用 demo
 */
import React, { useState } from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm, DformInput } from "../../.."; //@ts-ignore

import PositionIcon from "../../../assets/position_ico.png"; //@ts-ignore

import PhotoIcon from "../../../assets/photo.png"; //@ts-ignore

import PwdIcon from "../../../assets/look.png";
var Group = DynamicForm.Group;

var Page = function Page() {
  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var _useState = useState(true),
      _useState2 = _slicedToArray(_useState, 2),
      pwdInputType = _useState2[0],
      setPwdInputType = _useState2[1];

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      editFlag = _useState4[0],
      setEditFlag = _useState4[1];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var extraImg = function extraImg() {
    return /*#__PURE__*/React.createElement("img", {
      src: PositionIcon,
      style: {
        width: '0.5rem'
      }
    });
  };

  var photoImg = function photoImg() {
    return /*#__PURE__*/React.createElement("img", {
      src: PhotoIcon,
      style: {
        width: '1rem',
        height: '0.5rem'
      }
    });
  };

  var subTitle = function subTitle() {
    return /*#__PURE__*/React.createElement("div", {
      style: {
        color: 'red'
      }
    }, "\u6B64\u4E3A\u5FC5\u586B\u9879(\u526F\u6807\u9898)");
  };

  var pwdImg = function pwdImg() {
    return /*#__PURE__*/React.createElement("img", {
      style: {
        width: '0.6rem'
      },
      src: PwdIcon,
      onClick: function onClick() {
        setPwdInputType(!pwdInputType);
      }
    });
  };

  var formsValues = {
    username: 'this is dform',
    userTitle: '点击获取表单全部数据',
    allTooLong: '欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单',
    valueTooLong: '欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单',
    titleTooLong: '11'
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    form: form,
    isDev: false
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps, /*#__PURE__*/React.createElement(Group, {
    type: "card",
    title: "\u8F93\u5165\u7C7B\u578B"
  }, /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "username",
    required: true,
    clear: true,
    placeholder: "\u8F93\u5165\u9879\u5C45\u5DE6",
    title: "\u7528\u6237\u540D",
    subTitle: subTitle(),
    coverStyle: {
      textAlign: 'left'
    },
    onChange: function onChange(e) {
      return console.log(e);
    }
  }), /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "userPwd",
    title: "\u8BF7\u8BBE\u7F6E\u5BC6\u7801",
    placeholder: "\u8BF7\u8F93\u5165",
    extra: pwdImg(),
    inputType: pwdInputType ? 'password' : 'text'
  }), /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "username5",
    title: "\u6570\u5B57\u952E\u76D8",
    placeholder: "\u8BF7\u8F93\u5165\u8EAB\u4EFD\u8BC1",
    extra: photoImg(),
    inputType: "number",
    pattern: "[0-9]*",
    inputMode: "decimal"
  }), /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "cardNumber",
    title: "\u8EAB\u4EFD\u8BC1\u53F7\u7801(\u589E\u52A0\u89C4\u5219)",
    required: true,
    placeholder: "\u8BF7\u8F93\u5165",
    labelNumber: 7,
    inputType: "text",
    clear: true,
    positionType: "vertical",
    rules: [{
      pattern: new RegExp(/^[0-9a-zA-Z_]{1,}$/, 'g'),
      message: '名称只允许包含数字、字母和下划线'
    }]
  })), /*#__PURE__*/React.createElement(Group, {
    type: "card",
    title: "\u663E\u793A\u7C7B\u578B",
    rightView: /*#__PURE__*/React.createElement("div", {
      style: {
        fontSize: '0.3rem'
      },
      onClick: function onClick() {
        return setEditFlag(!editFlag);
      }
    }, "\u70B9\u51FB\u5207\u6362\u662F\u5426\u53EF\u7F16\u8F91")
  }, /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "userTitle",
    title: "\u6807\u9898",
    placeholder: "\u70B9\u51FB\u83B7\u53D6\u8868\u5355\u5168\u90E8\u6570\u636E",
    editable: editFlag,
    onClick: function onClick() {
      return console.log(form.getFieldsValue());
    }
  }), /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "allTooLong",
    required: true,
    title: "\u6807\u9898\u5F88\u957F\u5185\u5BB9\u4E5F\u5F88\u957F",
    placeholder: "\u6682\u65E0\u6570\u636E",
    labelNumber: 7,
    maxLine: 2,
    editable: editFlag
  }), /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "valueTooLong",
    required: true,
    title: "\u5185\u5BB9\u8FC7\u957F\u9690\u85CF",
    placeholder: "\u6682\u65E0\u6570\u636E",
    labelNumber: 7,
    maxLine: 2,
    editable: editFlag
  }), /*#__PURE__*/React.createElement(DformInput, {
    fieldProps: "titleTooLong",
    required: true,
    title: "\u6807\u9898\u5F88\u957F\uFF0C\u5185\u5BB9\u5F88\u77ED(labelNumber \u8BBE\u7F6E\u4E3A8)",
    placeholder: "\u6682\u65E0\u6570\u636E",
    labelNumber: 8,
    editable: editFlag
  }))), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

export default Page;