function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm, DformRadio } from "../../..";
var radioList = [{
  label: '是',
  value: 'yes'
}, {
  label: '否',
  value: 'no'
}];
var dayList = [{
  label: '晴',
  value: '晴'
}, {
  label: '阴',
  value: '阴'
}, {
  label: '雨',
  value: '雨'
}];
var foodList = [{
  foodName: '宫保鸡丁',
  foodId: '宫保鸡丁'
}, {
  foodName: '可乐鸡翅',
  foodId: '可乐鸡翅'
}, {
  foodName: '爆炒虾仁',
  foodId: '爆炒虾仁'
}, {
  foodName: '清蒸小黄鱼',
  foodId: '清蒸小黄鱼'
}, {
  foodName: '红烧肉',
  foodId: '红烧肉'
}];

var DfromRadioTextPage = function DfromRadioTextPage() {
  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsValues = {
    userRadio4: '红烧肉'
  };
  var formProps = {
    formsValues: formsValues,
    form: form,
    onFinishFailed: onFinishFailed,
    onFinish: onFinish,
    isDev: false
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps, /*#__PURE__*/React.createElement(DformRadio, {
    fieldProps: "userRadio1",
    required: true,
    data: radioList,
    title: "\u53D1\u7968",
    onChange: function onChange(e) {
      console.log(e);
    }
  }), /*#__PURE__*/React.createElement(DformRadio, {
    fieldProps: "userRadio2",
    required: true,
    data: radioList,
    title: "\u5185\u5BB9\u9760\u5DE6",
    labelNumber: 5,
    coverStyle: {
      justifyContent: 'flex-start'
    }
  }), /*#__PURE__*/React.createElement(DformRadio, {
    fieldProps: "userRadio3",
    required: true,
    disabled: true,
    data: dayList,
    positionType: "vertical",
    title: "\u5929\u6C14\u60C5\u51B5(\u9ED8\u8BA4\u503C)",
    defaultValue: "\u96E8"
  }), /*#__PURE__*/React.createElement(DformRadio, {
    fieldProps: "userRadio4",
    required: true,
    allowUnChecked: false,
    data: foodList,
    title: "\u559C\u6B22\u7684\u98DF\u7269(\u9ED8\u8BA4\u503C)",
    radioType: "vertical",
    alias: {
      label: 'foodName',
      value: 'foodId'
    },
    positionType: "vertical"
  })), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

export default DfromRadioTextPage;