function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * title: 基础 选择框
 * desc: 表单使用 demo
 */
//
import React from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm, DformSelect } from "../../..";
import TestData from "./test";
var seasons = [[{
  label: '2013',
  value: '2013'
}, {
  label: '2014',
  value: '2014'
}], [{
  label: '春',
  value: '春'
}, {
  label: '夏',
  value: '夏'
}]];
var citys = [[{
  label: '福州',
  value: 'fuzhou'
}, {
  label: '厦门',
  value: 'xiamen'
}]];

var Page = function Page() {
  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log(errorInfo);
  };

  var formsValues = {
    userPicker1: ['2013', '春'],
    userPicker2: ['xiamen'],
    userPicker3: ['fuzhou'],
    verticalPickerw: ['130000', '130500', '130502']
  };
  var formProps = {
    form: form,
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    autoLineFeed: false,
    isDev: false
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps, /*#__PURE__*/React.createElement(DformSelect, {
    type: "select",
    fieldProps: "userPicker1",
    title: "\u5B63\u8282",
    placeholder: "\u8BF7\u9009\u62E9",
    data: seasons
  }), /*#__PURE__*/React.createElement(DformSelect, {
    type: "select",
    fieldProps: "userPicker2",
    required: true,
    title: "\u57CE\u5E02(\u9ED8\u8BA4\u503C)",
    placeholder: "\u8BF7\u9009\u62E9",
    data: citys,
    onChange: function onChange(event) {
      console.log(event);
    },
    defaultValue: ['xiamen']
  }), /*#__PURE__*/React.createElement(DformSelect, {
    type: "select",
    fieldProps: "userPicker3",
    required: true,
    title: "\u57CE\u5E02(\u4E0D\u53EF\u7F16\u8F91)",
    placeholder: "\u8BF7\u9009\u62E9",
    data: citys,
    disabled: true,
    labelNumber: 7,
    defaultValue: ['fuzhou']
  }), /*#__PURE__*/React.createElement(DformSelect, {
    type: "select",
    fieldProps: "verticalPicker",
    title: "\u5B63\u8282",
    placeholder: "\u8BF7\u9009\u62E9",
    data: seasons,
    positionType: "vertical"
  }), /*#__PURE__*/React.createElement(DformSelect, {
    type: "select",
    fieldProps: "verticalPickerw",
    title: "\u8054\u52A8(\u9ED8\u8BA4\u503C)",
    placeholder: "\u8BF7\u9009\u62E9",
    data: TestData,
    positionType: "vertical"
  }), /*#__PURE__*/React.createElement(DformSelect, {
    type: "select",
    fieldProps: "privice",
    title: "\u8054\u52A8",
    placeholder: "\u8BF7\u9009\u62E9",
    data: TestData,
    positionType: "vertical"
  })), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

export default Page;