function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm } from "./..";
var seasons = [[{
  label: '2013',
  value: '2013'
}, {
  label: '2014',
  value: '2014'
}], [{
  label: '春',
  value: '春'
}, {
  label: '夏',
  value: '夏'
}]];
var radioList = [{
  label: '是',
  value: 'yes'
}, {
  label: '否',
  value: 'no'
}];
var sexList = [{
  label: '男',
  value: 'man'
}, {
  label: '女',
  value: 'woman'
}];
var foodList = [{
  label: '宫保鸡丁',
  value: '宫保鸡丁'
}, {
  label: '可乐鸡翅',
  value: '可乐鸡翅'
}, {
  label: '爆炒虾仁',
  value: '爆炒虾仁'
}, {
  label: '清蒸小黄鱼',
  value: '清蒸小黄鱼'
}, {
  label: '红烧肉',
  value: '红烧肉'
}];

var Page = function Page() {
  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsData = [{
    type: 'input',
    fieldProps: 'username',
    required: true,
    placeholder: '请输入',
    title: '用户名',
    inputType: 'text'
  }, {
    type: 'select',
    fieldProps: 'userdata',
    required: true,
    placeholder: '请选择',
    title: '用户数据',
    data: seasons
  }, {
    type: 'radio',
    fieldProps: 'userRadio',
    required: true,
    title: '发票',
    data: radioList
  }, {
    type: 'coverRadio',
    title: '性别',
    data: sexList,
    fieldProps: 'userSex'
  }, {
    type: 'rangeDatePicker',
    fieldProps: 'datePicker3',
    fieldProps2: 'datePicker4',
    required: true,
    title: '时间区间',
    modeType: 'month'
  }, {
    type: 'image',
    fieldProps: 'insertImg',
    title: '图片',
    required: true,
    compressRatio: 0.5,
    onChange: function onChange(files, type, index) {
      // eslint-disable-next-line no-console
      console.log(files, type, index);
    },
    defaultValue: [{
      url: 'https://zos.alipayobjects.com/rmsportal/PZUUCKTRIHWiZSY.jpeg',
      id: '2121'
    }, {
      url: 'https://zos.alipayobjects.com/rmsportal/hqQWgTXdrlmVVYi.jpeg',
      id: '2122'
    }]
  }, {
    type: 'checkbox',
    title: '喜欢的水果',
    required: true,
    data: [{
      foodId: 'apple',
      foodName: '苹果'
    }, {
      foodId: 'banana',
      foodName: '香蕉'
    }, {
      foodId: 'orange',
      foodName: '橙子'
    }, {
      foodId: 'watermelon',
      foodName: '西瓜'
    }, {
      foodId: 'hami',
      foodName: '哈密瓜'
    }, {
      foodId: 'pineapple',
      foodName: '菠萝'
    }, {
      foodId: 'pear',
      foodName: '香梨'
    }],
    fieldProps: 'fruit',
    chunk: 3,
    alias: {
      label: 'foodName',
      value: 'foodId'
    }
  }];
  var formsValues = {
    useronlyread: '原始文档，没有变更',
    userSex: 'man',
    userSex2: 'woman',
    userFood: ['爆炒虾仁', '红烧肉']
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    data: formsData,
    formsValues: formsValues,
    form: form,
    isDev: false // allDisabled: true,

  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

export default Page;