import { FormInstance } from 'rc-field-form/es/interface';
export declare const getInitKeyValue: ({ form, key, data, }: {
    form: FormInstance;
    key: string | number;
    data: any[];
}) => any;
/**
 * 将带中文的日期值 修改成底层组件能读懂的内容
 */
export declare const dateNameReplace: ({ value, replaceName, }: {
    value?: string | Date | undefined;
    replaceName?: Record<string, string> | undefined;
}) => string | Date | undefined;
/**
 * 时间展示类型改变事件
 * @param val
 */
export declare const changeDateFormat: ({ value, modeType, format, replaceName, }: {
    value: Date | string | undefined;
    modeType: string;
    format?: string | ((value: Date) => string) | undefined;
    replaceName?: Record<string, string> | undefined;
}) => string;
export declare const dateChange: (date: Date | string | undefined) => string | Date | undefined;
export declare const getByteLen: (val: string) => number;
export declare const resetLabel: (list?: string[], placeholderList?: string[]) => string[];
export declare const filterObjList: (label?: string, data?: any, value?: string | number) => any;
/**
 * 设置随机值
 */
export declare const getRandom: () => string;
/**
 * 压缩图片
 */
export declare const transformFile: (file: any, pictureQuality?: number) => any;
