"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFormItem = exports.default = exports.FormItemType = void 0;
Object.defineProperty(exports, "useForm", {
  enumerable: true,
  get: function get() {
    return _rcFieldForm.useForm;
  }
});

var _react = _interopRequireWildcard(require("react"));

var _rcFieldForm = _interopRequireWildcard(require("rc-field-form"));

var _Group = _interopRequireDefault(require("./Group"));

var _NewFieldPicker = _interopRequireDefault(require("../NewFieldPicker/NewFieldPicker"));

var _Context = require("../Context");

var _menu = require("../../utils/menu");

var _tool = require("../../utils/tool");

var _components = require("../../components");

var _excluded = ["type", "disabled"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var FormItemType = {
  input: _components.DformInput,
  select: _components.DformSelect,
  area: _components.DformTextArea,
  date: _components.DformDatePicker,
  switch: _components.DformSwitch,
  radio: _components.DformRadio,
  extraInput: _components.ExtraInput,
  rangeDatePicker: _components.RangeDatePicker,
  checkbox: _components.DformCheckBox,
  coverRadio: _components.CoverRadio,
  image: _components.DformImagePicker,
  custom: _components.DformCustom,
  multiplePicker: _components.MultiplePicker,
  addressPicker: _components.AddressPicker,
  text: _components.DformText,
  picker: _components.DformPicker,
  file: _components.DformFile
};
exports.FormItemType = FormItemType;

var getFormItem = function getFormItem(_ref) {
  var _ref$formItem = _ref.formItem,
      formItem = _ref$formItem === void 0 ? {} : _ref$formItem,
      allDisabled = _ref.allDisabled,
      _ref$childProps = _ref.childProps,
      childProps = _ref$childProps === void 0 ? {} : _ref$childProps,
      fieldChange = _ref.fieldChange,
      _ref$relatives = _ref.relatives,
      relatives = _ref$relatives === void 0 ? {} : _ref$relatives;

  var mFormItem = _objectSpread(_objectSpread({}, formItem), childProps);

  var type = mFormItem.type,
      _mFormItem$disabled = mFormItem.disabled,
      disabled = _mFormItem$disabled === void 0 ? allDisabled : _mFormItem$disabled,
      otherProps = _objectWithoutProperties(mFormItem, _excluded);

  var FormItemComponent = FormItemType[type];
  var key = (otherProps === null || otherProps === void 0 ? void 0 : otherProps.fieldName) || (otherProps === null || otherProps === void 0 ? void 0 : otherProps.fieldProps);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, {
    key: key
  }, /*#__PURE__*/_react.default.createElement(FormItemComponent, _extends({}, otherProps, {
    disabled: disabled,
    onChange: function onChange(e) {
      var _ref2 = otherProps,
          onChange = _ref2.onChange;
      fieldChange(key, e, relatives);

      for (var _len = arguments.length, otherChange = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        otherChange[_key - 1] = arguments[_key];
      }

      if (onChange) onChange.apply(void 0, [e].concat(otherChange));
    }
  })));
};

exports.getFormItem = getFormItem;

var Dform = function Dform(fatherProps) {
  var children = fatherProps.children,
      _fatherProps$data = fatherProps.data,
      data = _fatherProps$data === void 0 ? [] : _fatherProps$data,
      form = fatherProps.form,
      _fatherProps$allDisab = fatherProps.allDisabled,
      allDisabled = _fatherProps$allDisab === void 0 ? false : _fatherProps$allDisab,
      _fatherProps$formsVal = fatherProps.formsValues,
      formsValues = _fatherProps$formsVal === void 0 ? {} : _fatherProps$formsVal,
      onFinish = fatherProps.onFinish,
      _onFinishFailed = fatherProps.onFinishFailed,
      _onValuesChange = fatherProps.onValuesChange,
      _fatherProps$autoLine = fatherProps.autoLineFeed,
      autoLineFeed = _fatherProps$autoLine === void 0 ? false : _fatherProps$autoLine,
      _fatherProps$failScro = fatherProps.failScroll,
      failScroll = _fatherProps$failScro === void 0 ? true : _fatherProps$failScro,
      _fatherProps$relative = fatherProps.relatives,
      relatives = _fatherProps$relative === void 0 ? {} : _fatherProps$relative,
      _fatherProps$sonFlag = fatherProps.sonFlag,
      sonFlag = _fatherProps$sonFlag === void 0 ? false : _fatherProps$sonFlag,
      _fatherProps$isDev = fatherProps.isDev,
      isDev = _fatherProps$isDev === void 0 ? false : _fatherProps$isDev,
      _fatherProps$errorFla = fatherProps.errorFlag,
      errorFlag = _fatherProps$errorFla === void 0 ? true : _fatherProps$errorFla;

  var _useState = (0, _react.useState)(true),
      _useState2 = _slicedToArray(_useState, 2),
      defaultValueFlag = _useState2[0],
      setDefaultValueFlag = _useState2[1];

  var _useState3 = (0, _react.useState)({}),
      _useState4 = _slicedToArray(_useState3, 2),
      errorValue = _useState4[0],
      setErrorValue = _useState4[1];

  var _useState5 = (0, _react.useState)({}),
      _useState6 = _slicedToArray(_useState5, 2),
      changeForm = _useState6[0],
      setChangeForm = _useState6[1];

  (0, _react.useEffect)(function () {
    Object.keys(relatives).map(function (item) {
      if (formsValues[item]) {
        fieldChange(item, formsValues[item], relatives);
      }
    });
  }, []);
  (0, _react.useEffect)(function () {
    if (defaultValueFlag) {
      if (data && data.length) {
        var filter = data.filter(function (dataItem) {
          return (dataItem === null || dataItem === void 0 ? void 0 : dataItem.defaultValue) !== undefined && formsValues[(dataItem === null || dataItem === void 0 ? void 0 : dataItem.fieldName) || (dataItem === null || dataItem === void 0 ? void 0 : dataItem.fieldProps)] === undefined;
        });

        if (filter && filter.length) {
          filter.forEach(function (filterItem) {
            var key = (filterItem === null || filterItem === void 0 ? void 0 : filterItem.fieldName) || (filterItem === null || filterItem === void 0 ? void 0 : filterItem.fieldProps);
            formsValues[key] = filterItem.defaultValue;

            if (relatives[key]) {
              fieldChange(key, filterItem.defaultValue, relatives);
            }
          });
          setDefaultValueFlag(false);
        }
      }
    }

    form.setFieldsValue(formsValues);

    var newErrorValue = _objectSpread({}, errorValue);

    if (!!Object.keys(errorValue).length) {
      Object.keys(errorValue).forEach(function (item) {
        var _formsValues$item;

        if (!!formsValues[item] && !!((_formsValues$item = formsValues[item]) !== null && _formsValues$item !== void 0 && _formsValues$item.length)) {
          delete newErrorValue[item];
        }
      });

      if (errorFlag) {
        setErrorValue(newErrorValue);
      }
    }
  }, [JSON.stringify(formsValues)]); // 字段变更联动

  var fieldChange = function fieldChange(fieldProps, e, relatives) {
    // 当前表单规则
    var curFieldRel = relatives[fieldProps]; // 改变表单字段

    var mChangeForm = {};

    if (!!Object.keys(relatives).length && !!curFieldRel && !!curFieldRel.length) {
      var newCurFieldRel = _toConsumableArray(curFieldRel);

      var ind = curFieldRel.findIndex(function (it) {
        return it === null || it === void 0 ? void 0 : it.targetValue.includes(e);
      });
      var findObj = curFieldRel.find(function (it) {
        return it === null || it === void 0 ? void 0 : it.targetValue.includes(e);
      });

      if (ind > -1) {
        newCurFieldRel.splice(ind, 1);
        newCurFieldRel.push(findObj);
      }

      newCurFieldRel.forEach(function (rel) {
        var type = rel.type,
            targetValue = rel.targetValue,
            _rel$targetSet = rel.targetSet,
            targetSet = _rel$targetSet === void 0 ? [] : _rel$targetSet;
        var fieldValues = {};

        switch (type) {
          case 'changeFormValue':
            if (targetValue.includes(e)) {
              targetSet.forEach(function (row) {
                var targetField = row.targetField,
                    targetValue = row.targetValue;
                fieldValues[targetField] = targetValue;
              });
              form.setFieldsValue(fieldValues);
            }

            break;

          case 'required':
          case 'hidden':
          case 'disabled':
            targetSet.forEach(function (row) {
              var targetField = row.targetField;
              mChangeForm[targetField] = _defineProperty({}, type, targetValue.includes(e));
            });
            break;

          case 'custom':
            targetSet.forEach(function (row) {
              var targetField = row.targetField,
                  _row$targetContent = row.targetContent,
                  targetContent = _row$targetContent === void 0 ? {} : _row$targetContent;
              mChangeForm[targetField] = targetValue.includes(e) ? targetContent : {};
            });
            break;

          default:
            break;
        }
      });

      if (!!Object.keys(mChangeForm).length) {
        setChangeForm(_objectSpread(_objectSpread({}, changeForm), mChangeForm));
      }
    }
  };

  var dformItems = function dformItems(childs) {
    return childs.map(function (child, index) {
      var _child$props = child.props,
          props = _child$props === void 0 ? {} : _child$props; // 字符串、null等类型

      if (! /*#__PURE__*/_react.default.isValidElement(child)) return child;
      var _ref3 = child.type,
          displayName = _ref3.displayName;

      var mProps = _objectSpread(_objectSpread(_objectSpread({}, props), changeForm[props.fieldProps] || {}), {}, {
        displayName: displayName
      });

      var fieldProps = mProps.fieldProps; // 内部表单类型

      if (_menu.DFORM_COMP_NAME.indexOf(displayName) !== -1) {
        return getFormItem({
          child: child,
          allDisabled: allDisabled,
          isComponent: true,
          childProps: (0, _tool.changeData)(mProps, autoLineFeed),
          fieldChange: fieldChange,
          relatives: relatives
        });
      } else if (displayName === 'group') {
        // 内部Group组件
        return /*#__PURE__*/_react.default.cloneElement(child, _objectSpread(_objectSpread({}, props), {}, {
          key: fieldProps || index
        }), showChildren({
          context: props.children
        }));
      } else {
        // 其他类型组件
        var isArray = Array.isArray(props.children);

        if (props.children && (isArray && !!props.children.length || !isArray && props.children.type && !!Object.keys(props.children).length)) {
          var _childs = _react.default.Children.toArray(props === null || props === void 0 ? void 0 : props.children);

          return /*#__PURE__*/_react.default.cloneElement(child, props, dformItems(_childs));
        }

        return child;
      }
    });
  };

  var jsonDataContent = function jsonDataContent(_ref4) {
    var _ref4$jsonData = _ref4.jsonData,
        jsonData = _ref4$jsonData === void 0 ? [] : _ref4$jsonData;
    return jsonData.map(function (item) {
      // const mItem = { ...item, ...(changeForm[item.fieldProps] || {}) };
      var type = item.type,
          groupProps = item.groupProps,
          fieldProps = item.fieldProps,
          children = item.children,
          fieldName = item.fieldName;

      if (type === 'group') {
        return /*#__PURE__*/_react.default.createElement(_Group.default, _extends({}, groupProps, {
          key: fieldName || fieldProps
        }), jsonDataContent({
          jsonData: children
        }));
      }

      return getFormItem({
        formItem: (0, _tool.changeData)(item, autoLineFeed),
        allDisabled: allDisabled,
        // errorValue,
        fieldChange: fieldChange,
        relatives: relatives
      });
    });
  };

  var showChildren = function showChildren(_ref5) {
    var context = _ref5.context;
    // const childs = React.Children.toArray(context);
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, !!data.length && jsonDataContent({
      jsonData: data
    }), context);
  };

  var updateErrorValue = function updateErrorValue(fieldProps) {
    var newErrorValue = _objectSpread({}, errorValue);

    delete newErrorValue[fieldProps];
    setErrorValue(newErrorValue);
  };

  return /*#__PURE__*/_react.default.createElement(_Context.DformContext.Provider, {
    value: {
      errorValue: errorValue,
      changeForm: changeForm,
      formFlag: true,
      updateErrorValue: updateErrorValue
    }
  }, !sonFlag && /*#__PURE__*/_react.default.createElement(_rcFieldForm.default, {
    form: form,
    initialValues: formsValues,
    onFinish: onFinish,
    onFinishFailed: function onFinishFailed(errorInfo) {
      if (errorFlag) setErrorValue((0, _tool.getAllError)(errorInfo));
      (0, _tool.defaultFailed)(errorInfo, _onFinishFailed, failScroll);
    },
    onValuesChange: function onValuesChange(values) {
      var _resetErrorField = (0, _tool.resetErrorField)(errorValue, values),
          _resetErrorField$succ = _resetErrorField.success,
          success = _resetErrorField$succ === void 0 ? false : _resetErrorField$succ,
          errorObj = _resetErrorField.errorObj;

      if (success && errorFlag) setErrorValue(errorObj);
      fieldChange(Object.keys(values)[0], Object.values(values)[0], relatives);
      if (_onValuesChange) _onValuesChange(values);
    }
  }, showChildren({
    context: children
  })), sonFlag && showChildren({
    context: children
  }), isDev && /*#__PURE__*/_react.default.createElement(_NewFieldPicker.default, null));
};

var _default = Dform;
exports.default = _default;