import React, { FC } from 'react';
import './index.less';
export interface IDataItem {
    [key: string]: string | number;
}
interface IRadioGroup {
    data: IDataItem[];
    onChange: (currentActiveLink: string | number | undefined) => void;
    positionType?: 'horizontal' | 'vertical';
    radioType?: 'horizontal' | 'vertical';
    value?: string | number;
    disabled?: boolean;
    coverStyle?: React.CSSProperties;
    className?: string;
    labelNumber: number;
    children?: any;
}
declare const RadioGroup: FC<IRadioGroup>;
export default RadioGroup;
