"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames6 = _interopRequireDefault(require("classnames"));

var _Context = require("../../baseComponents/Context");

var _index = require("../../const/index");

require("./index.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var prefixCls = 'alitajs-dform-cover-radio';

var RadioGroup = function RadioGroup(props) {
  var _classnames, _classnames2, _classnames3, _classnames4;

  var data = props.data,
      onChange = props.onChange,
      _props$positionType = props.positionType,
      positionType = _props$positionType === void 0 ? 'horizontal' : _props$positionType,
      _props$radioType = props.radioType,
      radioType = _props$radioType === void 0 ? 'horizontal' : _props$radioType,
      _props$value = props.value,
      value = _props$value === void 0 ? '' : _props$value,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      coverStyle = props.coverStyle,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      _props$labelNumber = props.labelNumber,
      labelNumber = _props$labelNumber === void 0 ? 7 : _props$labelNumber,
      children = props.children;

  var _useContext = (0, _react.useContext)(_Context.DformContext),
      _useContext$formFlag = _useContext.formFlag,
      formFlag = _useContext$formFlag === void 0 ? false : _useContext$formFlag;

  var _useState = (0, _react.useState)(undefined),
      _useState2 = _slicedToArray(_useState, 2),
      activeValue = _useState2[0],
      setActiveValue = _useState2[1];

  var isVertical = positionType === 'vertical';

  if (radioType === 'vertical') {
    isVertical = true;
  }

  var formValue = formFlag ? activeValue : value;
  var labelCls = (0, _classnames6.default)((_classnames = {}, _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-0"), labelNumber === 0), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-2"), labelNumber === 2), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-3"), labelNumber === 3), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-4"), labelNumber === 4), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-5"), labelNumber === 5), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-6"), labelNumber === 6), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-input-label-7"), labelNumber === 7), _classnames));
  (0, _react.useEffect)(function () {
    if (data.length === 0) {
      setActiveValue(undefined);
      return;
    }

    var newValue = value;
    var filter = data.filter(function (item) {
      return item.value === newValue;
    });

    if (filter && filter.length) {
      setActiveValue(newValue);
    } else {
      setActiveValue(undefined);
    }
  }, [data]);
  (0, _react.useEffect)(function () {
    // 存在延迟数据源的情况，将值保存
    if (data.length === 0) {
      setActiveValue(undefined);
      return;
    }

    var filter = data.filter(function (item) {
      return item.value === value;
    });

    if (filter && filter.length) {
      setActiveValue(value);
    } else {
      setActiveValue(undefined);
    }
  }, [value]);

  var radioClick = function radioClick(e, dataItem) {
    e.stopPropagation();
    if (disabled) return;
    var filter = data.filter(function (item) {
      return item.value === (dataItem === null || dataItem === void 0 ? void 0 : dataItem.value);
    });

    if (filter && filter.length) {
      if ((dataItem === null || dataItem === void 0 ? void 0 : dataItem.value) === value) {
        onChange(undefined);
        setActiveValue(undefined);
      } else {
        onChange(dataItem === null || dataItem === void 0 ? void 0 : dataItem.value);
        setActiveValue(dataItem === null || dataItem === void 0 ? void 0 : dataItem.value);
      }
    } else {
      onChange(undefined);
    }
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames6.default)((_classnames2 = {}, _defineProperty(_classnames2, prefixCls, true), _defineProperty(_classnames2, "".concat(_index.allPrefixCls, "-vertical-radio"), isVertical), _classnames2))
  }, !isVertical && /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames6.default)(labelCls, (_classnames3 = {}, _defineProperty(_classnames3, "".concat(_index.allPrefixCls, "-title"), true), _defineProperty(_classnames3, "".concat(_index.allPrefixCls, "-vertical-title"), isVertical), _classnames3))
  }, children), /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames6.default)((_classnames4 = {}, _defineProperty(_classnames4, "".concat(prefixCls, "-group"), true), _defineProperty(_classnames4, "".concat(prefixCls, "-position"), !isVertical), _defineProperty(_classnames4, "".concat(prefixCls, "-item-vertical"), radioType === 'vertical'), _classnames4))
  }, data.map(function (item) {
    var _classnames5;

    return /*#__PURE__*/_react.default.createElement("div", {
      key: item.value,
      className: (0, _classnames6.default)((_classnames5 = {}, _defineProperty(_classnames5, "".concat(prefixCls, "-wrapper"), true), _defineProperty(_classnames5, "".concat(prefixCls, "-wrapper-checked"), item.value && item.value === formValue), _defineProperty(_classnames5, "".concat(prefixCls, "-wrapper-margin"), isVertical), _defineProperty(_classnames5, "".concat(prefixCls, "-wrapper-cover"), item.moveFlag && item.value !== formValue), _defineProperty(_classnames5, className, className), _classnames5)),
      style: coverStyle,
      onClick: function onClick(e) {
        radioClick(e, item);
      }
    }, item.label);
  })));
};

var _default = RadioGroup;
exports.default = _default;