"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames2 = _interopRequireDefault(require("classnames"));

var _Context = require("../../baseComponents/Context");

var _NomarPickerGroup = _interopRequireDefault(require("../NomarPicker/NomarPickerGroup"));

var _Field = _interopRequireDefault(require("../Field"));

var _Title = _interopRequireDefault(require("../../baseComponents/Title"));

var _InputItem = _interopRequireDefault(require("../../baseComponents/InputItem"));

var _HorizontalTitle = _interopRequireDefault(require("../../baseComponents/HorizontalTitle"));

var _index = require("../../const/index");

require("./index.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var ExtraInput = function ExtraInput(props) {
  var _classnames;

  var fieldProps = props.fieldProps,
      fieldName = props.fieldName,
      fieldProps2 = props.fieldProps2,
      title = props.title,
      _props$required = props.required,
      required = _props$required === void 0 ? false : _props$required,
      _props$rules = props.rules,
      rules = _props$rules === void 0 ? [] : _props$rules,
      coverStyle = props.coverStyle,
      _props$extraType = props.extraType,
      extraType = _props$extraType === void 0 ? 'input' : _props$extraType,
      _props$positionType = props.positionType,
      positionType = _props$positionType === void 0 ? 'vertical' : _props$positionType,
      _props$hasStar = props.hasStar,
      hasStar = _props$hasStar === void 0 ? true : _props$hasStar,
      _props$firstProps = props.firstProps,
      firstProps = _props$firstProps === void 0 ? {} : _props$firstProps,
      _props$secondProps = props.secondProps,
      secondProps = _props$secondProps === void 0 ? {} : _props$secondProps,
      _props$hidden = props.hidden,
      hidden = _props$hidden === void 0 ? false : _props$hidden,
      _props$labelNumber = props.labelNumber,
      labelNumber = _props$labelNumber === void 0 ? 7 : _props$labelNumber,
      _props$boxStyle = props.boxStyle,
      boxStyle = _props$boxStyle === void 0 ? {} : _props$boxStyle,
      titleStyle = props.titleStyle,
      _props$formFlag = props.formFlag,
      formFlag = _props$formFlag === void 0 ? true : _props$formFlag;
  var _firstProps$disabled = firstProps.disabled,
      firstDisabled = _firstProps$disabled === void 0 ? false : _firstProps$disabled;
  var _firstProps$disabled2 = firstProps.disabled,
      secondDisabled = _firstProps$disabled2 === void 0 ? false : _firstProps$disabled2;

  var _useContext = (0, _react.useContext)(_Context.CardContext),
      cDisabled = _useContext.cDisabled;

  var _useState = (0, _react.useState)(firstDisabled || cDisabled),
      _useState2 = _slicedToArray(_useState, 2),
      mregedDisabled = _useState2[0],
      setMregedDisabled = _useState2[1];

  var _useState3 = (0, _react.useState)(secondDisabled || cDisabled),
      _useState4 = _slicedToArray(_useState3, 2),
      sMregedDisabled = _useState4[0],
      setSMregedDisabled = _useState4[1];

  var _useContext2 = (0, _react.useContext)(_Context.DformContext),
      changeForm = _useContext2.changeForm;

  var fieldKey = fieldName || fieldProps;
  var isVertical = positionType === 'vertical';
  (0, _react.useMemo)(function () {
    var _changeForm$fieldKey, _changeForm$fieldProp;

    if (cDisabled) return;

    if (((_changeForm$fieldKey = changeForm[fieldKey]) === null || _changeForm$fieldKey === void 0 ? void 0 : _changeForm$fieldKey.disabled) !== undefined) {
      var _changeForm$fieldKey2;

      setMregedDisabled((_changeForm$fieldKey2 = changeForm[fieldKey]) === null || _changeForm$fieldKey2 === void 0 ? void 0 : _changeForm$fieldKey2.disabled);
    } else {
      setMregedDisabled(firstDisabled);
    }

    if (((_changeForm$fieldProp = changeForm[fieldProps2]) === null || _changeForm$fieldProp === void 0 ? void 0 : _changeForm$fieldProp.disabled) !== undefined) {
      var _changeForm$fieldProp2;

      setSMregedDisabled((_changeForm$fieldProp2 = changeForm[fieldProps2]) === null || _changeForm$fieldProp2 === void 0 ? void 0 : _changeForm$fieldProp2.disabled);
    } else {
      setSMregedDisabled(secondDisabled);
    }
  }, [changeForm[fieldProps2], changeForm[fieldKey], firstDisabled, secondDisabled, cDisabled]);

  var inputOnBlur = function inputOnBlur(val) {
    if (firstProps && firstProps.onBlur) firstProps.onBlur(val);
  };

  var fieldChange = function fieldChange(values) {
    if (secondProps && secondProps !== null && secondProps !== void 0 && secondProps.onChange) {
      secondProps.onChange(values);
    }
  };

  var extraDiv = function extraDiv() {
    if (extraType === 'select') {
      return /*#__PURE__*/_react.default.createElement(_Field.default, {
        title: title,
        required: required,
        rules: rules,
        name: fieldProps2,
        initialValue: secondProps === null || secondProps === void 0 ? void 0 : secondProps.defaultValue,
        params: {
          hidden: hidden,
          formFlag: formFlag
        },
        type: "picker"
      }, /*#__PURE__*/_react.default.createElement(_NomarPickerGroup.default, _extends({}, secondProps, {
        disabled: sMregedDisabled,
        onChange: fieldChange,
        labelNumber: 0,
        title: title
      })));
    }

    return /*#__PURE__*/_react.default.createElement(_Field.default, {
      title: title,
      required: required,
      rules: rules,
      name: fieldProps2,
      initialValue: secondProps === null || secondProps === void 0 ? void 0 : secondProps.defaultValue,
      params: {
        hidden: hidden,
        formFlag: formFlag
      },
      type: "extraInput"
    }, /*#__PURE__*/_react.default.createElement(_InputItem.default, _extends({
      labelNumber: 0,
      style: _objectSpread({
        textAlign: 'right'
      }, coverStyle)
    }, secondProps, {
      disabled: sMregedDisabled
    })));
  };

  return /*#__PURE__*/_react.default.createElement(_Title.default, {
    type: "extraInput",
    independentProps: props,
    style: boxStyle,
    titleStyle: titleStyle
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames2.default)((_classnames = {}, _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-extra-input"), true), _defineProperty(_classnames, "".concat(_index.allPrefixCls, "-extra-horizontal"), !isVertical), _classnames))
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(_index.allPrefixCls, "-begin").concat(isVertical ? '-vertical' : '', "-input")
  }, /*#__PURE__*/_react.default.createElement(_Field.default, {
    title: title,
    required: required,
    rules: rules,
    name: fieldKey,
    initialValue: firstProps === null || firstProps === void 0 ? void 0 : firstProps.defaultValue,
    params: {
      hidden: hidden,
      formFlag: formFlag
    },
    type: "extraInput"
  }, /*#__PURE__*/_react.default.createElement(_InputItem.default, _extends({}, firstProps, {
    disabled: mregedDisabled,
    fieldProps: fieldKey,
    coverStyle: _objectSpread({
      textAlign: 'center'
    }, coverStyle),
    onBlur: function onBlur(val) {
      inputOnBlur(val);
    },
    isVertical: isVertical
  }), /*#__PURE__*/_react.default.createElement(_HorizontalTitle.default, {
    required: required,
    hasStar: hasStar,
    title: title,
    labelNumber: labelNumber,
    isVertical: isVertical,
    fieldProps: fieldKey,
    titleStyle: titleStyle
  })))), extraType === 'input' && /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(_index.allPrefixCls, "-line")
  }, "~"), /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(_index.allPrefixCls, "-end").concat(isVertical ? '-vertical' : '', "-input")
  }, extraDiv())));
};

ExtraInput.displayName = 'extraInput';
var _default = ExtraInput;
exports.default = _default;