import React, { FC } from 'react';
import './index.less';
export interface IDataItem {
    label: string | number;
    value: string | number;
    desc?: string | number;
}
interface ICheckBoxGroup {
    data: IDataItem[];
    onChange: (currentActiveLink: (string | number)[] | undefined) => void;
    value?: (string | number)[] | undefined;
    disabled?: boolean;
    disableItem?: (items: IDataItem) => boolean;
    coverStyle?: React.CSSProperties;
    chunk?: number;
    className?: string;
}
declare const CheckBoxGroup: FC<ICheckBoxGroup>;
export default CheckBoxGroup;
