"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = _interopRequireWildcard(require("../../.."));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var fruitsList = [{
  foodId: 'apple',
  foodName: '苹果',
  desc: '这是苹果'
}, {
  foodId: 'banana',
  foodName: '香蕉',
  desc: '这是香蕉'
}, {
  foodId: 'orange',
  foodName: '橙子',
  desc: '这是橙子'
}, {
  foodId: 'watermelon',
  foodName: '西瓜',
  desc: '这是西瓜'
}, {
  foodId: 'hami',
  foodName: '哈密瓜',
  desc: '这是哈密瓜'
}, {
  foodId: 'pineapple',
  foodName: '菠萝',
  desc: '这是菠萝'
}, {
  foodId: 'pear',
  foodName: '香梨',
  desc: '这是香梨'
}];

var Page = function Page() {
  var _useForm = (0, _.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsValues = {
    fruit: ['watermelon', 'orange']
  };
  var formProps = {
    form: form,
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    isDev: true
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.default, formProps, /*#__PURE__*/_react.default.createElement(_.DformCheckBox, {
    title: "\u559C\u6B22\u7684\u6C34\u679C",
    required: true,
    data: fruitsList,
    fieldProps: "fruit",
    chunk: 2,
    alias: {
      label: 'foodName',
      value: 'foodId'
    },
    disableItem: function disableItem(item) {
      if (item.value === 'watermelon') return true;
      return false;
    }
  }), /*#__PURE__*/_react.default.createElement(_.DformCheckBox, {
    title: "\u559C\u6B22\u7684\u6C34\u679C(\u9ED8\u8BA4\u503C)",
    data: fruitsList,
    fieldProps: "defaultValue",
    chunk: 3,
    alias: {
      label: 'foodName',
      value: 'foodId'
    },
    defaultValue: ['orange']
  })), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      form.submit();
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;