"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = _interopRequireWildcard(require("../../.."));

var _position_ico = _interopRequireDefault(require("../../../assets/position_ico.png"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Page = function Page() {
  var _useForm = (0, _.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var extraImg = function extraImg() {
    return /*#__PURE__*/_react.default.createElement("img", {
      src: _position_ico.default,
      style: {
        width: '0.5rem'
      }
    });
  };

  var subTitle = function subTitle() {
    return /*#__PURE__*/_react.default.createElement("div", {
      style: {
        color: 'red'
      }
    }, "\u6B64\u4E3A\u5FC5\u586B\u9879(\u526F\u6807\u9898)");
  };

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsValues = {
    username5: 'disabled 为 true, 则 onClick 失效',
    userTitle: '点击获取表单全部数据',
    allTooLong: '欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单',
    valueTooLong: '欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单欢迎使用 dform 动态表单',
    titleTooLong: '11'
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    form: form,
    isDev: true
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.default, formProps, /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "username",
    required: true,
    placeholder: "\u8F93\u5165\u9879\u5C45\u5DE6",
    title: "\u7528\u6237\u540D",
    subTitle: subTitle(),
    coverStyle: {
      textAlign: 'left',
      color: 'blue'
    },
    onClick: function onClick() {
      console.log();
    }
  }), /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "username5",
    required: true,
    title: "\u5B9A\u4F4D",
    extra: extraImg(),
    labelNumber: 3,
    placeholder: "\u6682\u65E0\u6570\u636E",
    disabled: true,
    onClick: function onClick(vals) {
      // eslint-disable-next-line no-console
      console.log(vals);
    }
  }), /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "userTitle",
    required: true,
    placeholder: "\u70B9\u51FB\u83B7\u53D6\u8868\u5355\u5168\u90E8\u6570\u636E",
    title: "\u6807\u9898",
    onClick: function onClick() {
      // eslint-disable-next-line no-console
      console.log(form.getFieldsValue());
    }
  }), /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "titleTooLong2",
    required: true,
    placeholder: "\u8BF7\u8F93\u5165\u8EAB\u4EFD\u8BC1(\u9ED8\u8BA4\u503C)",
    title: "\u8EAB\u4EFD\u8BC1" // positionType="vertical"
    ,
    defaultValue: "\u901A\u8FC7 defaultValue \u8BBE\u7F6E\u9ED8\u8BA4\u503C"
  }), /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "allTooLong",
    required: true,
    title: "\u6807\u9898\u5F88\u957F\u5185\u5BB9\u4E5F\u5F88\u957F",
    placeholder: "\u6682\u65E0\u6570\u636E",
    labelNumber: 7,
    maxLine: 2
  }), /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "valueTooLong",
    required: true,
    title: "\u5185\u5BB9\u8FC7\u957F\u9690\u85CF",
    placeholder: "\u6682\u65E0\u6570\u636E",
    labelNumber: 7,
    maxLine: 2
  }), /*#__PURE__*/_react.default.createElement(_.DformText, {
    fieldProps: "titleTooLong",
    required: true,
    title: "\u6807\u9898\u5F88\u957F\uFF0C\u5185\u5BB9\u5F88\u77ED(labelNumber \u8BBE\u7F6E\u4E3A8)",
    placeholder: "\u6682\u65E0\u6570\u636E",
    labelNumber: 8
  })), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;