import React, { FC } from 'react';
import { Rule } from 'rc-field-form/es/interface';
export interface INomarTextProps {
    positionType?: 'vertical' | 'horizontal';
    coverStyle?: React.CSSProperties;
    title?: string;
    required?: boolean;
    hasStar?: boolean;
    subTitle?: string | React.ReactNode;
    hidden?: boolean;
    extra?: string | React.ReactNode;
    fieldProps: string;
    rules?: Rule[];
    placeholder?: string;
    labelNumber?: number;
    onClick?: (val: string) => void;
    disabled?: boolean;
    formFlag?: boolean;
    maxLine?: number;
    className?: string;
    defaultValue?: string;
    renderHeader?: string | React.ReactNode;
    renderFooter?: string | React.ReactNode;
    boxStyle?: React.CSSProperties;
    titleStyle?: React.CSSProperties;
}
declare const DformText: FC<INomarTextProps>;
export default DformText;
