"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = _interopRequireWildcard(require("./.."));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Group = _.default.Group;
var sexData = [{
  label: '男',
  value: 'man'
}, {
  label: '女',
  value: 'woman'
}];
var weatherData = [{
  label: '晴',
  value: '晴'
}, {
  label: '阴',
  value: '阴'
}, {
  label: '雨',
  value: '雨'
}];
var motionData = [{
  label: '篮球',
  value: '篮球'
}, {
  label: '羽毛球',
  value: '羽毛球'
}, {
  label: '乒乓球',
  value: '乒乓球'
}];
var fruitData = [{
  label: '哈密瓜',
  value: '哈密瓜'
}, {
  label: '菠萝',
  value: '菠萝'
}, {
  label: '香梨',
  value: '香梨'
}];

var Page = function Page() {
  var _useForm = (0, _.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsValues = {};
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    form: form,
    errorFlag: true
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      background: '#F7F7F7'
    }
  }, /*#__PURE__*/_react.default.createElement(_.default, formProps, /*#__PURE__*/_react.default.createElement(Group, {
    type: "card",
    title: "\u5361\u7247\u4E00",
    required: true,
    extandPostion: "bottom"
  }, /*#__PURE__*/_react.default.createElement(_.DformInput, {
    fieldProps: "username",
    required: true,
    placeholder: "\u8BF7\u8F93\u5165",
    title: "\u7528\u6237\u540D",
    defaultValue: "\u5C0F\u7EA2"
  }), /*#__PURE__*/_react.default.createElement(Group, {
    type: "card",
    title: "\u5361\u7247\u4E8C",
    required: true
  }, /*#__PURE__*/_react.default.createElement(_.DformRadio, {
    fieldProps: "sex",
    title: "\u6027\u522B",
    required: true,
    data: sexData
  }))), /*#__PURE__*/_react.default.createElement(Group, {
    type: "card",
    title: "\u5361\u7247\u4E09",
    extandPostion: "top",
    leftView: /*#__PURE__*/_react.default.createElement("div", {
      style: {
        background: '#1890ff',
        margin: '0.1rem 0.1rem 0 0',
        width: '0.1rem',
        height: '0.3rem',
        borderRadius: '0.4rem'
      }
    })
  }, /*#__PURE__*/_react.default.createElement(_.DformPicker, {
    fieldProps: "weather",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u5929\u6C14",
    data: weatherData
  }), /*#__PURE__*/_react.default.createElement(_.RangeDatePicker, {
    fieldProps: "rangeTime1",
    fieldProps2: "rangeTime2",
    title: "\u65F6\u95F4(month)",
    modeType: "month",
    firstProps: {
      onOk: function onOk(val) {
        // eslint-disable-next-line no-console
        console.log(val);
      }
    }
  })), /*#__PURE__*/_react.default.createElement(Group, {
    type: "card",
    title: "\u5361\u7247\u56DB"
  }, /*#__PURE__*/_react.default.createElement(_.DformDatePicker, {
    fieldProps: "date",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u51FA\u751F\u5E74\u6708"
  }), /*#__PURE__*/_react.default.createElement(_.DformCheckBox, {
    title: "\u559C\u6B22\u7684\u6C34\u679C",
    required: true,
    data: fruitData,
    fieldProps: "fruit",
    disableItem: function disableItem(x) {
      return ['香梨'].some(function (a) {
        return x.value === a;
      });
    }
  }), /*#__PURE__*/_react.default.createElement(_.MultiplePicker, {
    fieldProps: "motion",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u7279\u957F",
    data: motionData
  }))), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "lg"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;