"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = _interopRequireWildcard(require("./.."));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var seasons = [[{
  label: '2013',
  value: '2013'
}, {
  label: '2014',
  value: '2014'
}], [{
  label: '春',
  value: '春'
}, {
  label: '夏',
  value: '夏'
}]];
var radioList = [{
  label: '是',
  value: 'yes'
}, {
  label: '否',
  value: 'no'
}];
var sexList = [{
  label: '男',
  value: 'man'
}, {
  label: '女',
  value: 'woman'
}];
var foodList = [{
  label: '宫保鸡丁',
  value: '宫保鸡丁'
}, {
  label: '可乐鸡翅',
  value: '可乐鸡翅'
}, {
  label: '爆炒虾仁',
  value: '爆炒虾仁'
}, {
  label: '清蒸小黄鱼',
  value: '清蒸小黄鱼'
}, {
  label: '红烧肉',
  value: '红烧肉'
}];

var Page = function Page() {
  var _useForm = (0, _.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsData = [{
    type: 'input',
    fieldProps: 'username',
    required: true,
    placeholder: '请输入',
    title: '用户名',
    inputType: 'text'
  }, {
    type: 'select',
    fieldProps: 'userdata',
    required: true,
    placeholder: '请选择',
    title: '用户数据',
    data: seasons
  }, {
    type: 'radio',
    fieldProps: 'userRadio',
    required: true,
    title: '发票',
    data: radioList
  }, {
    type: 'coverRadio',
    title: '性别',
    data: sexList,
    fieldProps: 'userSex'
  }, {
    type: 'rangeDatePicker',
    fieldProps: 'datePicker3',
    fieldProps2: 'datePicker4',
    required: true,
    title: '时间区间',
    modeType: 'month'
  }, {
    type: 'image',
    fieldProps: 'insertImg',
    title: '图片',
    required: true,
    compressRatio: 0.5,
    onChange: function onChange(files, type, index) {
      // eslint-disable-next-line no-console
      console.log(files, type, index);
    },
    defaultValue: [{
      url: 'https://zos.alipayobjects.com/rmsportal/PZUUCKTRIHWiZSY.jpeg',
      id: '2121'
    }, {
      url: 'https://zos.alipayobjects.com/rmsportal/hqQWgTXdrlmVVYi.jpeg',
      id: '2122'
    }]
  }, {
    type: 'checkbox',
    title: '喜欢的水果',
    required: true,
    data: [{
      foodId: 'apple',
      foodName: '苹果'
    }, {
      foodId: 'banana',
      foodName: '香蕉'
    }, {
      foodId: 'orange',
      foodName: '橙子'
    }, {
      foodId: 'watermelon',
      foodName: '西瓜'
    }, {
      foodId: 'hami',
      foodName: '哈密瓜'
    }, {
      foodId: 'pineapple',
      foodName: '菠萝'
    }, {
      foodId: 'pear',
      foodName: '香梨'
    }],
    fieldProps: 'fruit',
    chunk: 3,
    alias: {
      label: 'foodName',
      value: 'foodId'
    }
  }];
  var formsValues = {
    useronlyread: '原始文档，没有变更',
    userSex: 'man',
    userSex2: 'woman',
    userFood: ['爆炒虾仁', '红烧肉']
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    data: formsData,
    formsValues: formsValues,
    form: form,
    isDev: false // allDisabled: true,

  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.default, formProps), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;