var _excluded = ["children", "type"];

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { Fragment } from 'react';
import { WingBlank, WhiteSpace } from 'antd-mobile-v2';
import Card from "./Card";
import { allPrefixCls } from "../../const";

var Group = function Group(props) {
  var children = props.children,
      _props$type = props.type,
      type = _props$type === void 0 ? 'empty' : _props$type,
      otherProps = _objectWithoutProperties(props, _excluded);

  switch (type) {
    case 'empty':
      return /*#__PURE__*/React.createElement(Fragment, null, children);

    case 'card':
      // 这里嵌套一层div 用来书写定义样式
      return /*#__PURE__*/React.createElement("div", {
        className: "".concat(allPrefixCls, "-group")
      }, /*#__PURE__*/React.createElement(WingBlank, null, /*#__PURE__*/React.createElement(WhiteSpace, {
        size: "lg"
      }), /*#__PURE__*/React.createElement(Card, otherProps, children)));

    default:
      return /*#__PURE__*/React.createElement(React.Fragment, null);
  }
};

Group.displayName = 'group';
export default Group;