import React from 'react';
import { Icon } from 'antd-mobile-v2';
import "./index.less";
var prefixCls = 'alitajs-dform';

var ExpandView = function ExpandView(_ref) {
  var _ref$isExtand = _ref.isExtand,
      isExtand = _ref$isExtand === void 0 ? false : _ref$isExtand,
      onChange = _ref.onChange;
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-expand-view")
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-expand-view-center"),
    onClick: function onClick() {
      onChange && onChange(!isExtand);
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    size: "xxs",
    type: isExtand ? 'up' : 'down'
  })));
};

ExpandView.displayName = 'ExpandView';
export default ExpandView;