import React, { FC, ReactNode } from 'react';
export interface HorizontalTitleProps {
    /**
     * 是否是必填项
     */
    required?: boolean;
    /**
     *
     */
    hasStar?: boolean;
    /**
     * fieldProps
     */
    fieldProps?: string;
    /**
     * 标题
     */
    title?: string | ReactNode;
    /**
     * 标题宽度
     */
    labelNumber?: number;
    /**
     * 是否是纵向效果
     */
    isVertical?: boolean;
    /**
     * style
     */
    style?: React.CSSProperties;
    /**
     * 标题 style
     */
    titleStyle?: React.CSSProperties;
}
declare const HorizontalTitle: FC<HorizontalTitleProps>;
export default HorizontalTitle;
