function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useContext, useState, useMemo } from 'react';
import classnames from 'classnames';
import { DformContext } from "../Context";
import { allPrefixCls } from "../../const";

var HorizontalTitle = function HorizontalTitle(props) {
  var _classnames, _classnames2;

  var _props$required = props.required,
      required = _props$required === void 0 ? false : _props$required,
      hasStar = props.hasStar,
      title = props.title,
      _props$labelNumber = props.labelNumber,
      labelNumber = _props$labelNumber === void 0 ? 7 : _props$labelNumber,
      isVertical = props.isVertical,
      _props$fieldProps = props.fieldProps,
      fieldProps = _props$fieldProps === void 0 ? '' : _props$fieldProps,
      titleStyle = props.titleStyle;

  var _useState = useState(required),
      _useState2 = _slicedToArray(_useState, 2),
      mregedRequired = _useState2[0],
      setMregedRequired = _useState2[1];

  var _useContext = useContext(DformContext),
      changeForm = _useContext.changeForm;

  var labelCls = classnames((_classnames = {}, _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label"), true), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-0"), labelNumber === 0), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-2"), labelNumber === 2), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-3"), labelNumber === 3), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-4"), labelNumber === 4), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-5"), labelNumber === 5), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-6"), labelNumber === 6), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-7"), labelNumber === 7), _defineProperty(_classnames, "".concat(allPrefixCls, "-title-label-auto"), labelNumber > 7), _classnames));
  useMemo(function () {
    var _changeForm$fieldProp;

    if (((_changeForm$fieldProp = changeForm[fieldProps]) === null || _changeForm$fieldProp === void 0 ? void 0 : _changeForm$fieldProp.required) !== undefined) {
      var _changeForm$fieldProp2;

      setMregedRequired((_changeForm$fieldProp2 = changeForm[fieldProps]) === null || _changeForm$fieldProp2 === void 0 ? void 0 : _changeForm$fieldProp2.required);
    } else {
      setMregedRequired(required);
    }
  }, [changeForm[fieldProps], required]);
  return /*#__PURE__*/React.createElement("div", {
    className: classnames((_classnames2 = {}, _defineProperty(_classnames2, "".concat(allPrefixCls, "-title"), true), _defineProperty(_classnames2, labelCls, !isVertical), _classnames2))
  }, mregedRequired && hasStar && /*#__PURE__*/React.createElement("div", {
    className: "".concat(allPrefixCls, "-redStar")
  }, "*"), /*#__PURE__*/React.createElement("div", {
    style: titleStyle
  }, title));
};

export default HorizontalTitle;