var _excluded = ["isVertical", "value", "placeholder", "onClick", "editable", "onChange", "labelNumber", "coverStyle", "disabled", "extra", "className", "onBlur", "onFocus", "type", "clear", "maxLength", "fieldProps", "unit", "children"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useState, useEffect } from 'react';
import classnames from 'classnames';
import TouchFeedback from 'rmc-feedback';
import { allPrefixCls } from "../../const/index";
import "./index.less";
var prefixCls = 'alitajs-dform-input-item';

var InputItem = function InputItem(props) {
  var _classnames, _classnames2, _classnames3;

  var _props$isVertical = props.isVertical,
      isVertical = _props$isVertical === void 0 ? false : _props$isVertical,
      _props$value = props.value,
      value = _props$value === void 0 ? '' : _props$value,
      _props$placeholder = props.placeholder,
      placeholder = _props$placeholder === void 0 ? '' : _props$placeholder,
      onClick = props.onClick,
      _props$editable = props.editable,
      editable = _props$editable === void 0 ? true : _props$editable,
      onChange = props.onChange,
      _props$labelNumber = props.labelNumber,
      labelNumber = _props$labelNumber === void 0 ? 7 : _props$labelNumber,
      _props$coverStyle = props.coverStyle,
      coverStyle = _props$coverStyle === void 0 ? {} : _props$coverStyle,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      _props$extra = props.extra,
      extra = _props$extra === void 0 ? '' : _props$extra,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      _onBlur = props.onBlur,
      _onFocus = props.onFocus,
      _props$type = props.type,
      type = _props$type === void 0 ? 'text' : _props$type,
      _props$clear = props.clear,
      clear = _props$clear === void 0 ? false : _props$clear,
      maxLength = props.maxLength,
      fieldProps = props.fieldProps,
      unit = props.unit,
      children = props.children,
      otherProps = _objectWithoutProperties(props, _excluded);

  var _useState = useState(value),
      _useState2 = _slicedToArray(_useState, 2),
      val = _useState2[0],
      setVal = _useState2[1];

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      clearShow = _useState4[0],
      setClearShow = _useState4[1];

  useEffect(function () {
    setVal(value);
  }, [value]);
  var labelCls = classnames((_classnames = {}, _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-0"), labelNumber === 0), _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-2"), labelNumber === 2), _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-3"), labelNumber === 3), _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-4"), labelNumber === 4), _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-5"), labelNumber === 5), _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-6"), labelNumber === 6), _defineProperty(_classnames, "".concat(allPrefixCls, "-input-label-7"), labelNumber === 7), _classnames));

  var inputItemClick = function inputItemClick(e) {
    if (onClick) onClick(e);
  };

  var inputItemChange = function inputItemChange(e) {
    var rawVal = e;
    var ctrlValue = rawVal;

    switch (type) {
      case 'bankCard':
        ctrlValue = rawVal.replace(/\D/g, '').replace(/(....)(?=.)/g, '$1 ');
        break;

      case 'phone':
        ctrlValue = rawVal.replace(/\D/g, '').substring(0, 11);
        var valueLen = ctrlValue.length;

        if (valueLen > 3 && valueLen < 8) {
          ctrlValue = "".concat(ctrlValue.substr(0, 3), " ").concat(ctrlValue.substr(3));
        } else if (valueLen >= 8) {
          ctrlValue = "".concat(ctrlValue.substr(0, 3), " ").concat(ctrlValue.substr(3, 4), " ").concat(ctrlValue.substr(7));
        }

        break;

      case 'number':
        ctrlValue = rawVal.replace(/\D/g, '');

        if (ctrlValue && otherProps.min && parseFloat(ctrlValue) < otherProps.min) {
          ctrlValue = otherProps.min.toString();
        }

        if (ctrlValue && otherProps.max && parseFloat(ctrlValue) > otherProps.max) {
          ctrlValue = otherProps.max.toString();
        }

        break;

      case 'text':
      case 'password':
      default:
        break;
    }

    if (maxLength) {
      ctrlValue = ctrlValue.substr(0, maxLength);
    }

    setVal(ctrlValue);
    if (onChange) onChange(ctrlValue);
  };

  var inputType = 'text';

  if (type === 'bankCard' || type === 'phone') {
    inputType = 'tel';
  } else {
    inputType = type;
  }
  /**
   * 清除按钮点击事件
   */


  var clearInput = function clearInput() {
    setVal('');
    if (onChange) onChange('');
  };

  var renderUnit = function renderUnit() {
    return /*#__PURE__*/React.createElement("div", {
      className: "".concat(prefixCls, "-unit")
    }, unit);
  };

  return /*#__PURE__*/React.createElement("div", {
    className: prefixCls
  }, !isVertical && /*#__PURE__*/React.createElement("div", {
    className: labelCls
  }, props.children), /*#__PURE__*/React.createElement("div", {
    className: classnames((_classnames2 = {}, _defineProperty(_classnames2, "".concat(prefixCls, "-value"), true), _defineProperty(_classnames2, "".concat(prefixCls, "-focus"), clearShow), _classnames2)),
    onClick: function onClick(e) {
      if (disabled) return;
      inputItemClick(e);
    }
  }, /*#__PURE__*/React.createElement("input", _extends({}, otherProps, {
    type: inputType,
    value: val,
    "aria-label": fieldProps,
    readOnly: !editable || disabled,
    style: _objectSpread({
      textAlign: isVertical ? 'left' : 'right',
      minHeight: '0.42rem'
    }, coverStyle),
    onFocus: function onFocus(e) {
      if (disabled) return;
      setClearShow(true);
      if (_onFocus) _onFocus(e.target.value);
    },
    onBlur: function onBlur(e) {
      if (disabled) return;
      if (_onBlur) _onBlur(e.target.value);
      setTimeout(function () {
        setClearShow(false);
      }, 100);
    },
    onChange: function onChange(e) {
      inputItemChange(e.target.value);
    },
    className: classnames((_classnames3 = {}, _defineProperty(_classnames3, "".concat(prefixCls, "-text"), true), _defineProperty(_classnames3, 'alitajs-dform-disabled', !editable || disabled), _defineProperty(_classnames3, className, className), _classnames3)),
    placeholder: placeholder
  })), clear && editable && !disabled && val && "".concat(val).length > 0 ?
  /*#__PURE__*/
  // @ts-ignore
  React.createElement(TouchFeedback, {
    activeClassName: "".concat(allPrefixCls, "-clear-active")
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(allPrefixCls, "-clear"),
    onClick: clearInput
  })) : null, unit && unit.length > 0 && renderUnit(), extra));
};

export default InputItem;