import React, { FC } from 'react';
import { Rule } from 'rc-field-form/es/interface';
import { IAliasProps } from '../../PropsType';
import './index.less';
interface IDataItem {
    [key: string]: string | number;
}
interface ICoverRadioProps {
    fieldProps: string;
    title: string;
    data: IDataItem[];
    positionType?: 'horizontal' | 'vertical';
    radioType?: 'horizontal' | 'vertical';
    required?: boolean;
    hasStar?: boolean;
    rules?: Rule[];
    disabled?: boolean;
    onChange?: (currentActiveLink: string | number | undefined) => void;
    subTitle?: string | React.ReactNode;
    coverStyle?: React.CSSProperties;
    className?: string;
    hidden?: boolean;
    alias?: IAliasProps;
    labelNumber?: number;
    defaultValue?: string;
    extra?: string | React.ReactNode;
    boxStyle?: React.CSSProperties;
    titleStyle?: React.CSSProperties;
    formFlag?: boolean;
}
declare const CoverRadio: FC<ICoverRadioProps>;
export default CoverRadio;
