function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * title: 单独使用 多选框
 * desc: 单独使用 demo
 */
import React, { useState } from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import { MultiplePicker } from "../../..";
var foodList = [{
  foodName: '宫保鸡丁',
  foodId: '宫保鸡丁'
}, {
  foodName: '可乐鸡翅',
  foodId: '可乐鸡翅'
}, {
  foodName: '爆炒虾仁',
  foodId: '爆炒虾仁'
}, {
  foodName: '清蒸小黄鱼',
  foodId: '清蒸小黄鱼'
}, {
  foodName: '红烧肉',
  foodId: '红烧肉'
}];

var Page = function Page() {
  var _useState = useState(['红烧肉']),
      _useState2 = _slicedToArray(_useState, 2),
      mulValue = _useState2[0],
      setMulValue = _useState2[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(MultiplePicker, {
    fieldProps: "food",
    required: true,
    data: foodList,
    title: "\u98DF\u7269(\u9ED8\u8BA4\u503C)",
    labelNumber: 7,
    placeholder: "\u8BF7\u9009\u62E9\u98DF\u7269",
    alias: {
      label: 'foodName',
      value: 'foodId'
    },
    formFlag: false,
    defaultValue: mulValue,
    clear: true,
    onChange: function onChange(e) {
      return setMulValue(e);
    }
  }), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      console.log(mulValue);
    }
  }, "Submit"));
};

export default Page;