function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * title: 基础 时间选择框
 * desc: 表单使用 demo
 */
import React from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import DynamicForm, { useForm, dateChange, DformDatePicker } from "../../..";

var Page = function Page() {
  var _ref;

  var _useForm = useForm(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var formsValues = {
    DateTime: dateChange('2020-02-02 22:22'),
    rangeTime1: dateChange(new Date('2021-07-08')),
    rangeTime2: dateChange(new Date('2021-08-08')),
    Date: '2020年02月04日',
    Month: dateChange('2020-02')
  };
  var formProps = {
    form: form,
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    isDev: false
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DynamicForm, formProps, /*#__PURE__*/React.createElement(DformDatePicker, {
    fieldProps: "Date",
    modeType: "date",
    title: "Date",
    maxDate: new Date(),
    replaceName: (_ref = {}, _defineProperty(_ref, "\u5E74", '-'), _defineProperty(_ref, "\u6708", '-'), _defineProperty(_ref, "\u65E5", ''), _ref)
  }), /*#__PURE__*/React.createElement(DformDatePicker, {
    fieldProps: "Month",
    modeType: "month",
    title: "Month",
    required: true
  }), /*#__PURE__*/React.createElement(DformDatePicker, {
    fieldProps: "DateTime",
    modeType: "datetime",
    title: "DateTimeVertical",
    required: true,
    positionType: "vertical"
  }), /*#__PURE__*/React.createElement(DformDatePicker, {
    required: true,
    fieldProps: "rangeTime1",
    fieldProps2: "rangeTime2",
    title: "\u65F6\u95F4(datetime)",
    modeType: "datetime",
    onOk: function onOk(val) {
      // eslint-disable-next-line no-console
      console.log(val);
    }
  }), /*#__PURE__*/React.createElement(DformDatePicker, {
    fieldProps: "rangeTime3",
    fieldProps2: "rangeTime4",
    title: "\u65F6\u95F4(month)",
    modeType: "month",
    positionType: "horizontal",
    labelNumber: 7
  }), /*#__PURE__*/React.createElement(DformDatePicker, {
    required: true,
    fieldProps: "rangeTime5",
    fieldProps2: "rangeTime6",
    title: "\u65F6\u95F4(date)",
    positionType: "vertical",
    defaultValue: dateChange(new Date('2021-07-08')),
    secondProps: {
      defaultValue: dateChange(new Date('2021-08-08'))
    }
  })), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "lg"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      form.submit();
    }
  }, "Submit"));
};

export default Page;