function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/* eslint-disable no-console */

/**
 * title: 基础 文件上传
 * desc: 表单使用 demo
 */
import React, { useState } from 'react';
import { Button, WhiteSpace } from 'antd-mobile-v2';
import { getRandom, DformFile } from "../../..";
var contractList = [{
  title: '合约模板2020.pdf',
  fileId: '1'
}, {
  title: '电子协议模板2020.pdf',
  fileId: '2'
}];

var Page = function Page() {
  var _useState = useState(contractList),
      _useState2 = _slicedToArray(_useState, 2),
      fileValue = _useState2[0],
      setFileValue = _useState2[1];

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DformFile, {
    required: true,
    fieldProps: "contract",
    title: "\u5408\u540C",
    onClick: function onClick(res) {
      console.log(res);
    },
    defaultValue: fileValue,
    maxLength: 3,
    onChange: function onChange(res, delItem) {
      console.log(res, delItem);
      setFileValue(res);
    },
    alias: {
      id: 'fileId',
      title: 'title'
    },
    upload: function upload(res) {
      var list = _toConsumableArray(fileValue);

      if (res && res.length) {
        res.map(function (item) {
          list.push({
            title: item.name,
            fileId: getRandom()
          });
        });
      }

      setFileValue(list);
    }
  }), /*#__PURE__*/React.createElement(WhiteSpace, {
    size: "lg"
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      console.log(fileValue);
    }
  }, "Submit"));
};

export default Page;