import { ValidateErrorEntity } from 'rc-field-form/es/interface';
import { ErrorValueProps, IFormItemProps } from '../PropsType';
/**
 * 重置错误信息提示
 */
export declare const resetErrorField: (errorValue: ErrorValueProps, values: {
    [key: string]: any;
}) => {
    success: boolean;
    errorObj: {
        [x: string]: string | undefined;
    };
} | {
    success: boolean;
    errorObj?: undefined;
};
/**
 * 通过 onFinishFailed 的方法
 */
export declare const getAllError: (errorInfo: ValidateErrorEntity) => any;
/**
 * 滚动到错误的位置
 * @param errorInfo
 * @param onFinishFailed
 * @param failScroll
 * @returns
 */
export declare const defaultFailed: (errorInfo: ValidateErrorEntity, onFinishFailed?: ((errorInfo: ValidateErrorEntity) => void) | undefined, failScroll?: boolean) => void;
export declare const getByteLen: (val: string) => number;
export declare const changeData: (item: IFormItemProps, autoLineFeed: boolean) => IFormItemProps;
