"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

require("./index.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var prefixCls = 'alitajs-dform';

var ExpandView = function ExpandView(_ref) {
  var _ref$isExtand = _ref.isExtand,
      isExtand = _ref$isExtand === void 0 ? false : _ref$isExtand,
      onChange = _ref.onChange;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(prefixCls, "-expand-view")
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(prefixCls, "-expand-view-center"),
    onClick: function onClick() {
      onChange && onChange(!isExtand);
    }
  }, /*#__PURE__*/_react.default.createElement(_antdMobileV.Icon, {
    size: "xxs",
    type: isExtand ? 'up' : 'down'
  })));
};

ExpandView.displayName = 'ExpandView';
var _default = ExpandView;
exports.default = _default;