"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames3 = _interopRequireDefault(require("classnames"));

var _Context = require("../Context");

var _const = require("../../const");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var HorizontalTitle = function HorizontalTitle(props) {
  var _classnames, _classnames2;

  var _props$required = props.required,
      required = _props$required === void 0 ? false : _props$required,
      hasStar = props.hasStar,
      title = props.title,
      _props$labelNumber = props.labelNumber,
      labelNumber = _props$labelNumber === void 0 ? 7 : _props$labelNumber,
      isVertical = props.isVertical,
      _props$fieldProps = props.fieldProps,
      fieldProps = _props$fieldProps === void 0 ? '' : _props$fieldProps,
      titleStyle = props.titleStyle;

  var _useState = (0, _react.useState)(required),
      _useState2 = _slicedToArray(_useState, 2),
      mregedRequired = _useState2[0],
      setMregedRequired = _useState2[1];

  var _useContext = (0, _react.useContext)(_Context.DformContext),
      changeForm = _useContext.changeForm;

  var labelCls = (0, _classnames3.default)((_classnames = {}, _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label"), true), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-0"), labelNumber === 0), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-2"), labelNumber === 2), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-3"), labelNumber === 3), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-4"), labelNumber === 4), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-5"), labelNumber === 5), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-6"), labelNumber === 6), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-7"), labelNumber === 7), _defineProperty(_classnames, "".concat(_const.allPrefixCls, "-title-label-auto"), labelNumber > 7), _classnames));
  (0, _react.useMemo)(function () {
    var _changeForm$fieldProp;

    if (((_changeForm$fieldProp = changeForm[fieldProps]) === null || _changeForm$fieldProp === void 0 ? void 0 : _changeForm$fieldProp.required) !== undefined) {
      var _changeForm$fieldProp2;

      setMregedRequired((_changeForm$fieldProp2 = changeForm[fieldProps]) === null || _changeForm$fieldProp2 === void 0 ? void 0 : _changeForm$fieldProp2.required);
    } else {
      setMregedRequired(required);
    }
  }, [changeForm[fieldProps], required]);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _classnames3.default)((_classnames2 = {}, _defineProperty(_classnames2, "".concat(_const.allPrefixCls, "-title"), true), _defineProperty(_classnames2, labelCls, !isVertical), _classnames2))
  }, mregedRequired && hasStar && /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(_const.allPrefixCls, "-redStar")
  }, "*"), /*#__PURE__*/_react.default.createElement("div", {
    style: titleStyle
  }, title));
};

var _default = HorizontalTitle;
exports.default = _default;