"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = require("../../..");

var _chinaCityData = _interopRequireDefault(require("@bang88/china-city-data"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Page = function Page() {
  var _useState = (0, _react.useState)([]),
      _useState2 = _slicedToArray(_useState, 2),
      homeAddrData = _useState2[0],
      setHomeAddrData = _useState2[1];

  var _useState3 = (0, _react.useState)({
    label: ['福建省', '福州市', '鼓楼区'],
    value: ['35', '3501', '350102']
  }),
      _useState4 = _slicedToArray(_useState3, 2),
      value = _useState4[0],
      setValue = _useState4[1];

  var queryList = function queryList(list, val) {
    var newList = [];
    list.map(function (item) {
      if (item.value === val) {
        newList = item.children;
      }

      if (item.children && Array.isArray(item.children)) {
        var vals = queryList(item.children, val);

        if (vals && vals.length > 0) {
          newList = vals;
        }
      }
    });
    return newList;
  };

  var getResetHomeAddrList = function getResetHomeAddrList(values) {
    var data = [];

    switch (values.length) {
      case 0:
        data = _chinaCityData.default;
        break;

      case 1:
      case 2:
        data = queryList(_chinaCityData.default, values[values.length - 1]);
        break;

      case 3:
        break;

      default:
        break;
    }

    return data;
  };

  var resetHomeAddrList = function resetHomeAddrList(values, key) {
    var mValues = JSON.parse(JSON.stringify(values));
    var data = getResetHomeAddrList(mValues);

    _antdMobileV.Toast.hide();

    setHomeAddrData(data);
  };

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.AddressPicker, {
    fieldProps: "homeAddr",
    title: "\u5DE5\u4F5C\u5730\u5740",
    placeholder: "\u9009\u62E9\u5F53\u524D\u5DE5\u4F5C\u5730\u5740",
    required: true,
    data: homeAddrData,
    placeholderList: ['请选择省', '请选择市', '请选择区'],
    onChangeLevel: function onChangeLevel(values) {
      console.log('values', values);

      _antdMobileV.Toast.show('加载中'); // eslint-disable-next-line no-console


      setTimeout(function () {
        resetHomeAddrList(values, 'homeAddrData');
      }, 300);
    },
    defaultValue: value,
    onChange: function onChange(value) {
      setValue(value);
    }
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return console.log({
        value: value
      });
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;