"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _index = _interopRequireWildcard(require("../../../index"));

var _position_ico = _interopRequireDefault(require("../../../assets/position_ico.png"));

var _ = _interopRequireDefault(require("../"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Page = function Page() {
  var _useForm = (0, _index.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var extraImg = function extraImg() {
    return /*#__PURE__*/_react.default.createElement("img", {
      src: _position_ico.default,
      style: {
        width: '0.6rem',
        height: '0.6rem'
      }
    });
  };

  var unitList = [{
    label: '元',
    value: '元'
  }, {
    label: '万元',
    value: '万元'
  }, {
    label: '亿元',
    value: '亿元'
  }];
  var formsValues = {
    minPrise: '11',
    maxPrise: '22'
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    form: form,
    isDev: false
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_index.default, formProps, /*#__PURE__*/_react.default.createElement(_.default, {
    fieldProps: "minPrise",
    fieldProps2: "maxPrise",
    title: "\u4EF7\u683C\u533A\u95F4(\u6570\u5B57\u8F93\u5165)",
    firstProps: {
      placeholder: '输入最小价格',
      disabled: true
    },
    secondProps: {
      extra: '¥',
      placeholder: '输入最大价格',
      disabled: true
    },
    required: true
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    fieldProps: "minPosition",
    fieldProps2: "maxPosition",
    title: "\u4F4D\u7F6E\u533A\u95F4",
    firstProps: {
      placeholder: '选择最小位置'
    },
    secondProps: {
      placeholder: '选择最大位置',
      extra: extraImg(),
      defaultValue: '111'
    },
    positionType: "horizontal"
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    fieldProps: "minLength",
    fieldProps2: "maxLength",
    title: "\u957F\u5EA6\u533A\u95F4(\u9ED8\u8BA4\u503C)",
    firstProps: {
      placeholder: '输入长度',
      defaultValue: '11'
    },
    secondProps: {
      placeholder: '输入长度',
      defaultValue: '22'
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    fieldProps: "price",
    fieldProps2: "unit",
    title: "\u5355\u4EF7",
    extraType: "select",
    positionType: "horizontal",
    secondProps: {
      data: unitList,
      placeholder: '选择区间'
    },
    firstProps: {
      placeholder: '输入价格'
    }
  }), /*#__PURE__*/_react.default.createElement(_.default, {
    title: "\u4EF7\u683C",
    fieldProps: "prices",
    fieldProps2: "priceUnit",
    positionType: "vertical",
    extraType: "select",
    firstProps: {
      placeholder: '输入长度',
      onChange: function onChange(val) {
        // eslint-disable-next-line no-console
        console.log(val);
      }
    },
    secondProps: {
      placeholder: '选择长度单位',
      data: unitList,
      onChange: function onChange(val) {
        // eslint-disable-next-line no-console
        console.log(val);
      }
    }
  })), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;