"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames3 = _interopRequireDefault(require("classnames"));

var _antdMobileV = require("antd-mobile-v2");

var _lodash = _interopRequireDefault(require("lodash.chunk"));

var _CSSTransition = _interopRequireDefault(require("react-transition-group/CSSTransition"));

var _const = require("../../const");

require("./index.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Item = _antdMobileV.Flex.Item;
var prefixCls = "".concat(_const.allPrefixCls, "-check-box-extends");

var CheckBoxGroup = function CheckBoxGroup(props) {
  var _props$data = props.data,
      data = _props$data === void 0 ? [] : _props$data,
      onChange = props.onChange,
      value = props.value,
      coverStyle = props.coverStyle,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      _props$chunk = props.chunk,
      chunk = _props$chunk === void 0 ? 1 : _props$chunk;

  var _useState = (0, _react.useState)([]),
      _useState2 = _slicedToArray(_useState, 2),
      val = _useState2[0],
      setVal = _useState2[1];

  var _useState3 = (0, _react.useState)({}),
      _useState4 = _slicedToArray(_useState3, 2),
      isExtandObj = _useState4[0],
      setIsExtandObj = _useState4[1];

  (0, _react.useEffect)(function () {
    setVal(value);

    var newIsExtandObj = _objectSpread({}, isExtandObj);

    data.forEach(function (item) {
      if ((value || []).indexOf(item.value) !== -1) {
        newIsExtandObj[item.value] = true;
      } else {
        newIsExtandObj[item.value] = false;
      }
    });
    setIsExtandObj(newIsExtandObj);
  }, [value, data]);

  var boxClick = function boxClick(dataItem) {
    var newInitValue = _toConsumableArray(val || []);

    if (newInitValue.indexOf(dataItem.value) !== -1) {
      newInitValue.splice(newInitValue.indexOf(dataItem.value), 1);
    } else {
      newInitValue.push(dataItem.value);
    }

    setVal(newInitValue);
    onChange(newInitValue && newInitValue.length ? newInitValue : undefined);
  };

  var BoxContent = function BoxContent() {
    return (0, _lodash.default)(_toConsumableArray(data), chunk).map(function (list, index) {
      return /*#__PURE__*/_react.default.createElement(_antdMobileV.Flex, {
        key: index,
        align: "start"
      }, _toConsumableArray(list).map(function (item) {
        var _props$disableItem;

        var _disabled = disabled || (props === null || props === void 0 ? void 0 : (_props$disableItem = props.disableItem) === null || _props$disableItem === void 0 ? void 0 : _props$disableItem.call(props, item));

        return /*#__PURE__*/_react.default.createElement(Item, {
          key: item.value
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames3.default)({
            'alitajs-dform-box-wrapper': true,
            'alitajs-dform-box-wrapper-disabled': _disabled
          }),
          onClick: function onClick(e) {
            e.stopPropagation();
            if (_disabled) return;
            boxClick(item);
          }
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames3.default)({
            'alitajs-dform-box-botton': true,
            'alitajs-dform-box-botton-checked': val === null || val === void 0 ? void 0 : val.includes(item.value) // (value || []).indexOf(item.value) !== -1,

          })
        }, (val === null || val === void 0 ? void 0 : val.includes(item.value)) && /*#__PURE__*/_react.default.createElement("div", {
          className: "alitajs-dform-box-tick"
        })), /*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames3.default)(_defineProperty({
            'alitajs-dform-box-label': true
          }, className, className)),
          style: coverStyle
        }, item.label)), /*#__PURE__*/_react.default.createElement("div", {
          className: prefixCls
        }, /*#__PURE__*/_react.default.createElement(_CSSTransition.default, {
          in: (isExtandObj === null || isExtandObj === void 0 ? void 0 : isExtandObj[item.value]) || false,
          classNames: "".concat(prefixCls, "-body"),
          timeout: 200
        }, function (state) {
          return /*#__PURE__*/_react.default.createElement("div", {
            className: "".concat(prefixCls, "-body")
          }, /*#__PURE__*/_react.default.createElement("div", {
            className: (0, _classnames3.default)("".concat(prefixCls, "-animation"), _defineProperty({}, "".concat(prefixCls, "-entered"), state === 'entered'))
          }, item.desc));
        })));
      }));
    });
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "alitajs-dform-box-content"
  }, BoxContent());
};

var _default = CheckBoxGroup;
exports.default = _default;