"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _close = _interopRequireDefault(require("../../assets/close.png"));

require("./index.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// @ts-ignore
var prefixCls = 'alitajs-dform-file';

var FileGroup = function FileGroup(props) {
  var _props$value = props.value,
      value = _props$value === void 0 ? [] : _props$value,
      onChange = props.onChange,
      onClick = props.onClick,
      _props$alias = props.alias,
      alias = _props$alias === void 0 ? {
    id: 'id',
    title: 'title'
  } : _props$alias,
      _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      valueChange = props.valueChange,
      valueStyle = props.valueStyle,
      itemExtra = props.itemExtra;
  (0, _react.useEffect)(function () {
    valueChange(value);
  }, [JSON.stringify(value || [])]);

  var del = function del(index) {
    var newData = Array.from(value);
    newData.splice(index, 1);
    if (onChange) onChange(newData, value[index], 'delete');
  };

  var itemClick = function itemClick(item) {
    if (onClick) onClick(item);
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(prefixCls, "-content")
  }, value.map(function (item, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: item[alias.id || 'id'],
      className: "".concat(prefixCls, "-item")
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: "".concat(prefixCls, "-title"),
      style: valueStyle,
      onClick: function onClick() {
        itemClick(item);
      }
    }, item[alias.title || 'title']), !disabled && /*#__PURE__*/_react.default.createElement("img", {
      onClick: function onClick() {
        del(index);
      },
      src: _close.default,
      alt: "",
      className: "alitajs-dform-close"
    }), typeof itemExtra === "function" && /*#__PURE__*/_react.default.createElement("div", {
      className: "".concat(prefixCls, "-item-extra")
    }, itemExtra(item, index)));
  }));
};

var _default = FileGroup;
exports.default = _default;