import React, { FC } from 'react';
import './index.less';
export interface IDataItem {
    [key: string]: string | number | undefined;
}
export interface INomarRadioGroupProps {
    data: IDataItem[];
    positionType?: 'horizontal' | 'vertical';
    radioType?: 'horizontal' | 'vertical';
    value?: string | number;
    disabled?: boolean;
    onChange: (currentActiveLink: string | number | undefined) => void;
    coverStyle?: React.CSSProperties;
    className?: string;
    allowUnChecked?: boolean;
    labelNumber: number;
    children?: any;
}
declare const RadioGroup: FC<INomarRadioGroupProps>;
export default RadioGroup;
