"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _TextItem = _interopRequireDefault(require("../../baseComponents/TextItem"));

var _utils = require("./utils");

var _excluded = ["disabled", "cols", "data", "coverStyle", "title", "fieldProps", "placeholder", "positionType", "value", "onClick", "className", "labelNumber", "extra", "children", "onChange", "arrow"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var NomarSelectGroup = function NomarSelectGroup(props) {
  //是否显示
  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      visible = _useState2[0],
      setvisible = _useState2[1]; // 显示出来的选择数据
  // const [pickerLabel, setPickerLabel] = useState<any>('');


  var _props$disabled = props.disabled,
      disabled = _props$disabled === void 0 ? false : _props$disabled,
      cols = props.cols,
      _props$data = props.data,
      data = _props$data === void 0 ? [] : _props$data,
      coverStyle = props.coverStyle,
      title = props.title,
      fieldProps = props.fieldProps,
      _props$placeholder = props.placeholder,
      placeholder = _props$placeholder === void 0 ? '请选择' : _props$placeholder,
      _props$positionType = props.positionType,
      positionType = _props$positionType === void 0 ? 'horizontal' : _props$positionType,
      _props$value = props.value,
      value = _props$value === void 0 ? '' : _props$value,
      onClick = props.onClick,
      className = props.className,
      _props$labelNumber = props.labelNumber,
      labelNumber = _props$labelNumber === void 0 ? 7 : _props$labelNumber,
      _props$extra = props.extra,
      extra = _props$extra === void 0 ? '' : _props$extra,
      children = props.children,
      onChange = props.onChange,
      arrow = props.arrow,
      restProps = _objectWithoutProperties(props, _excluded);

  var isVertical = positionType === 'vertical';
  /**
   * 通过value值查找对应的label  只适用二维数组
   * @param value 待查找的value值
   * @returns
   */

  var findLabelByValue = function findLabelByValue(val) {
    for (var index = 0; index < data.length; index++) {
      var items = data[index] || [];
      var item = items.find(function (ele) {
        return ele.value === val;
      });

      if (item) {
        return item.label;
      }
    }

    return '';
  };
  /**
   * 处理联动状态数据结构
   * @param val
   * @returns
   */


  var getPickerLabelWithCascade = function getPickerLabelWithCascade(val) {
    var labels = [];

    var findChildLabel = function findChildLabel(originData) {
      var index = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

      if (!Array.isArray(originData) || originData.length === 0 || val.length < index) {
        return labels;
      }

      var origin = val[index];
      var target = originData.find(function (o) {
        return o.value === origin;
      });

      if (target) {
        var _ref = target || {},
            label = _ref.label,
            _children = _ref.children;

        labels.push(label);
        findChildLabel(_children, index + 1);
      }
    };

    findChildLabel(data);
    return labels;
  };
  /**
   * 获取所有二维数组下的值
   * @param val 目标值
   * @returns
   */


  var getPickerLabelWith2Dimensional = function getPickerLabelWith2Dimensional(val) {
    var label = [];
    val.forEach(function (v) {
      label.push(findLabelByValue(v));
    });
    return label;
  };

  var pickerLabel = (0, _react.useMemo)(function () {
    var label = [];
    var isArrayData = Array.isArray(data);
    var isArrayValue = Array.isArray(value);

    if (isArrayData && isArrayValue && data.length > 0 && value.length > 0) {
      label = (0, _utils.is2Dimensionals)(data) ? getPickerLabelWith2Dimensional(value) : getPickerLabelWithCascade(value);
    }

    return label.join(',');
  }, [value, data]); //打开

  var fieldClick = function fieldClick() {
    if (onClick) onClick(value);
    if (disabled) return;
    setvisible(true);
  }; //确定


  var onOK = function onOK(val) {
    onChange(val, 'change');
    setvisible(false);
  };

  var cascade = (0, _react.useMemo)(function () {
    var _props$cascade;

    var cas = !(0, _utils.is2Dimensionals)(data);
    return (_props$cascade = props.cascade) !== null && _props$cascade !== void 0 ? _props$cascade : cas;
  }, [props.cascade, data]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_TextItem.default, {
    isVertical: isVertical,
    value: pickerLabel,
    placeholder: placeholder,
    labelNumber: labelNumber,
    coverStyle: coverStyle,
    onClick: fieldClick,
    disabled: disabled,
    extra: extra,
    className: className,
    fieldProps: fieldProps,
    arrow: arrow
  }, children), /*#__PURE__*/_react.default.createElement(_antdMobileV.Picker, _extends({}, restProps, {
    title: title,
    visible: visible && data.length > 0,
    data: data,
    cascade: cascade,
    value: value ? "".concat(value).split(',') : undefined,
    onOk: onOK,
    cols: cols,
    onDismiss: function onDismiss() {
      setvisible(false);
    },
    onVisibleChange: function onVisibleChange() {
      setvisible(false);
    }
  })));
};

var _default = NomarSelectGroup;
exports.default = _default;