"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = _interopRequireWildcard(require("../../.."));

var _photo = _interopRequireDefault(require("../../../assets/photo.png"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Page = function Page() {
  var _useForm = (0, _.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var onFinish = function onFinish(values) {
    // eslint-disable-next-line no-console
    console.log('Success:', values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    // eslint-disable-next-line no-console
    console.log('Failed:', errorInfo);
  };

  var photoImg = function photoImg() {
    return /*#__PURE__*/_react.default.createElement("img", {
      src: _photo.default,
      style: {
        width: '1rem',
        height: '0.5rem'
      }
    });
  };

  var formsValues = {
    textArea2: '只读，不可编辑'
  };
  var formProps = {
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    form: form,
    isDev: false
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_.default, formProps, /*#__PURE__*/_react.default.createElement(_.DformTextArea, {
    title: "\u5B66\u6821\u6982\u51B5",
    fieldProps: "textArea0",
    placeholder: "\u652F\u6301\u8F93\u5165\u503C\u8FC7\u957F\u81EA\u52A8\u6362\u884C",
    rows: 1,
    autoHeight: true
  }), /*#__PURE__*/_react.default.createElement(_.DformTextArea, {
    fieldProps: "textArea1",
    placeholder: "\u8BF7\u8F93\u5165...",
    title: "\u516C\u53F8\u7B80\u4ECB"
  }), /*#__PURE__*/_react.default.createElement(_.DformTextArea, {
    fieldProps: "textArea2",
    title: "\u6709\u6807\u9898",
    placeholder: "\u53EA\u8BFB\uFF0C\u4E0D\u53EF\u7F16\u8F91",
    positionType: "vertical",
    rows: 3,
    editable: false,
    required: true
  }), /*#__PURE__*/_react.default.createElement(_.DformTextArea, {
    fieldProps: "titleTooLong",
    title: "\u6807\u9898\u6587\u5B57\u5185\u5BB9\u8FC7\u957F",
    placeholder: "\u8BF7\u8F93\u5165",
    positionType: "vertical",
    labelNumber: 8,
    coverStyle: {
      border: '1px solid #108ee9',
      background: 'rgb(247, 246, 249)',
      boxSizing: 'border-box'
    }
  }), /*#__PURE__*/_react.default.createElement(_.DformTextArea, {
    fieldProps: "Remarks",
    title: "\u5907\u6CE8(\u9ED8\u8BA4\u503C)",
    placeholder: "\u8BF7\u8F93\u5165",
    required: true,
    defaultValue: "\u8FD9\u91CC\u53EF\u4EE5\u8BBE\u7F6E\u9ED8\u8BA4\u503C",
    labelNumber: 7,
    positionType: "vertical"
  }), /*#__PURE__*/_react.default.createElement(_.DformTextArea, {
    fieldProps: "idenPhone",
    title: "\u8EAB\u4EFD\u8BC1",
    extra: photoImg(),
    positionType: "vertical",
    placeholder: "\u5B58\u5728 extra \u81EA\u52A8\u6362\u884C"
  })), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, {
    size: "sm"
  }), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "Submit"));
};

var _default = Page;
exports.default = _default;