"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _antdMobileV = require("antd-mobile-v2");

var _ = _interopRequireWildcard(require("./.."));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Group = _.default.Group;
var sexData = [{
  label: '男',
  value: 'man'
}, {
  label: '女',
  value: 'woman'
}];
var weatherData = [{
  label: '晴',
  value: '晴'
}, {
  label: '阴',
  value: '阴'
}, {
  label: '雨',
  value: '雨'
}];
var motionData = [{
  label: '篮球',
  value: '篮球'
}, {
  label: '羽毛球',
  value: '羽毛球'
}, {
  label: '乒乓球',
  value: '乒乓球'
}];
var foodData = [{
  label: '香蕉',
  value: '香蕉'
}, {
  label: '西瓜',
  value: '西瓜'
}, {
  label: '苹果',
  value: '苹果'
}, {
  label: '草莓',
  value: '草莓'
}];
var relatives = {
  sex: [{
    type: 'changeFormValue',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'username',
      targetValue: '莉丝'
    }]
  }, {
    type: 'required',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'date'
    }]
  }, {
    type: 'hidden',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'weather'
    }]
  }, {
    type: 'disabled',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'motion'
    }]
  }, {
    type: 'changeFormValue',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'motion',
      targetValue: '篮球'
    }]
  }, {
    type: 'changeFormValue',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'food',
      targetValue: '草莓'
    }]
  }, {
    type: 'custom',
    targetValue: ['woman'],
    targetSet: [{
      targetField: 'food',
      targetContent: {
        required: true,
        disabled: true
      }
    }]
  }]
}; // const ageData = Array.from

var UserName = function UserName() {
  var _useForm = (0, _.useForm)(),
      _useForm2 = _slicedToArray(_useForm, 1),
      form = _useForm2[0];

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      isJson = _useState2[0],
      setisJson = _useState2[1];

  var _useState3 = (0, _react.useState)({
    sex: 'man',
    motion: ['羽毛球', '乒乓球'],
    isJson: isJson ? '1' : '0'
  }),
      _useState4 = _slicedToArray(_useState3, 2),
      formsValues = _useState4[0],
      setFormsValues = _useState4[1];

  (0, _react.useEffect)(function () {
    setFormsValues({
      isJson: isJson ? '1' : '0'
    });
  }, [isJson]);

  var onFinish = function onFinish(values) {
    console.log(values);
  };

  var onFinishFailed = function onFinishFailed(errorInfo) {
    console.log('Failed:', errorInfo);
  };

  var dFormData = [{
    type: 'input',
    fieldProps: 'username',
    required: true,
    placeholder: '请输入',
    title: 'J用户名',
    defaultValue: '小红'
  }, {
    type: 'radio',
    fieldProps: 'sex',
    title: 'J性别',
    data: sexData
  }, {
    type: 'date',
    fieldProps: 'date',
    placeholder: '请选择',
    title: 'J出生年月'
  }, {
    type: 'picker',
    fieldProps: 'weather',
    placeholder: '请选择',
    title: 'J天气',
    data: weatherData,
    required: true
  }, {
    type: 'multiplePicker',
    fieldProps: 'motion',
    placeholder: '请选择',
    title: 'J特长',
    data: motionData
  }, {
    type: 'multiplePicker',
    fieldProps: 'food',
    placeholder: '请选择',
    title: 'J美食',
    data: foodData
  }];
  var formProps = {
    form: form,
    onFinish: onFinish,
    onFinishFailed: onFinishFailed,
    formsValues: formsValues,
    relatives: relatives
  };

  if (isJson) {
    formProps.data = dFormData;
  }

  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_.default, formProps, !isJson && /*#__PURE__*/_react.default.createElement(_.DformInput, {
    fieldProps: "username",
    required: true,
    placeholder: "\u8BF7\u8F93\u5165",
    title: "\u7528\u6237\u540D",
    defaultValue: "\u5C0F\u7EA2"
  }), !isJson && /*#__PURE__*/_react.default.createElement(_.DformRadio, {
    fieldProps: "sex",
    title: "\u6027\u522B",
    data: sexData
  }), !isJson && /*#__PURE__*/_react.default.createElement(_.DformDatePicker, {
    fieldProps: "date",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u51FA\u751F\u5E74\u6708"
  }), !isJson && /*#__PURE__*/_react.default.createElement(_.DformPicker, {
    fieldProps: "weather",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u5929\u6C14",
    data: weatherData,
    required: true
  }), !isJson && /*#__PURE__*/_react.default.createElement(_.MultiplePicker, {
    fieldProps: "motion",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u7279\u957F",
    data: motionData
  }), !isJson && /*#__PURE__*/_react.default.createElement(_.MultiplePicker, {
    fieldProps: "food",
    placeholder: "\u8BF7\u9009\u62E9",
    title: "\u7F8E\u98DF",
    data: foodData
  }), /*#__PURE__*/_react.default.createElement(_.DformRadio, {
    fieldProps: "isJson",
    required: true,
    placeholder: "\u8BF7\u8F93\u5165",
    title: "\u662F\u5426\u4F7F\u7528JSON\u683C\u5F0F\u6E32\u67D3\u9875\u9762",
    data: [{
      label: '是',
      value: '1'
    }, {
      label: '否',
      value: '0'
    }],
    positionType: "vertical",
    onChange: function onChange(e) {
      setisJson(e == 1);
    }
  })), /*#__PURE__*/_react.default.createElement(_antdMobileV.WhiteSpace, null), /*#__PURE__*/_react.default.createElement(_antdMobileV.Button, {
    type: "primary",
    onClick: function onClick() {
      return form.submit();
    }
  }, "submit"));
};

var _default = UserName;
exports.default = _default;